/******/ (function(modules) { // webpackBootstrap
/******/ 	// install a JSONP callback for chunk loading
/******/ 	function webpackJsonpCallback(data) {
/******/ 		var chunkIds = data[0];
/******/ 		var moreModules = data[1];
/******/
/******/ 		var prefetchChunks = data[3] || [];
/******/ 		// add "moreModules" to the modules object,
/******/ 		// then flag all "chunkIds" as loaded and fire callback
/******/ 		var moduleId, chunkId, i = 0, resolves = [];
/******/ 		for(;i < chunkIds.length; i++) {
/******/ 			chunkId = chunkIds[i];
/******/ 			if(Object.prototype.hasOwnProperty.call(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 				resolves.push(installedChunks[chunkId][0]);
/******/ 			}
/******/ 			installedChunks[chunkId] = 0;
/******/ 		}
/******/ 		for(moduleId in moreModules) {
/******/ 			if(Object.prototype.hasOwnProperty.call(moreModules, moduleId)) {
/******/ 				modules[moduleId] = moreModules[moduleId];
/******/ 			}
/******/ 		}
/******/ 		if(parentJsonpFunction) parentJsonpFunction(data);
/******/ 		// chunk prefetching for javascript
/******/ 		prefetchChunks.forEach(function(chunkId) {
/******/ 			if(installedChunks[chunkId] === undefined) {
/******/ 				installedChunks[chunkId] = null;
/******/ 				var link = document.createElement('link');
/******/
/******/ 				if (__webpack_require__.nc) {
/******/ 					link.setAttribute("nonce", __webpack_require__.nc);
/******/ 				}
/******/ 				link.rel = "prefetch";
/******/ 				link.as = "script";
/******/ 				link.href = jsonpScriptSrc(chunkId);
/******/ 				document.head.appendChild(link);
/******/ 			}
/******/ 		});
/******/ 		while(resolves.length) {
/******/ 			resolves.shift()();
/******/ 		}
/******/
/******/ 	};
/******/
/******/
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// object to store loaded and loading chunks
/******/ 	// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 	// Promise = chunk loading, 0 = chunk loaded
/******/ 	var installedChunks = {
/******/ 		"addlisting": 0
/******/ 	};
/******/
/******/
/******/
/******/ 	// script path function
/******/ 	function jsonpScriptSrc(chunkId) {
/******/ 		return __webpack_require__.p + "" + chunkId + ".js"
/******/ 	}
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/ 	// This file contains only the entry chunk.
/******/ 	// The chunk loading function for additional chunks
/******/ 	__webpack_require__.e = function requireEnsure(chunkId) {
/******/ 		var promises = [];
/******/
/******/
/******/ 		// JSONP chunk loading for javascript
/******/
/******/ 		var installedChunkData = installedChunks[chunkId];
/******/ 		if(installedChunkData !== 0) { // 0 means "already installed".
/******/
/******/ 			// a Promise means "currently loading".
/******/ 			if(installedChunkData) {
/******/ 				promises.push(installedChunkData[2]);
/******/ 			} else {
/******/ 				// setup Promise in chunk cache
/******/ 				var promise = new Promise(function(resolve, reject) {
/******/ 					installedChunkData = installedChunks[chunkId] = [resolve, reject];
/******/ 				});
/******/ 				promises.push(installedChunkData[2] = promise);
/******/
/******/ 				// start chunk loading
/******/ 				var script = document.createElement('script');
/******/ 				var onScriptComplete;
/******/
/******/ 				script.charset = 'utf-8';
/******/ 				script.timeout = 120;
/******/ 				if (__webpack_require__.nc) {
/******/ 					script.setAttribute("nonce", __webpack_require__.nc);
/******/ 				}
/******/ 				script.src = jsonpScriptSrc(chunkId);
/******/
/******/ 				// create error before stack unwound to get useful stacktrace later
/******/ 				var error = new Error();
/******/ 				onScriptComplete = function (event) {
/******/ 					// avoid mem leaks in IE.
/******/ 					script.onerror = script.onload = null;
/******/ 					clearTimeout(timeout);
/******/ 					var chunk = installedChunks[chunkId];
/******/ 					if(chunk !== 0) {
/******/ 						if(chunk) {
/******/ 							var errorType = event && (event.type === 'load' ? 'missing' : event.type);
/******/ 							var realSrc = event && event.target && event.target.src;
/******/ 							error.message = 'Loading chunk ' + chunkId + ' failed.\n(' + errorType + ': ' + realSrc + ')';
/******/ 							error.name = 'ChunkLoadError';
/******/ 							error.type = errorType;
/******/ 							error.request = realSrc;
/******/ 							chunk[1](error);
/******/ 						}
/******/ 						installedChunks[chunkId] = undefined;
/******/ 					}
/******/ 				};
/******/ 				var timeout = setTimeout(function(){
/******/ 					onScriptComplete({ type: 'timeout', target: script });
/******/ 				}, 120000);
/******/ 				script.onerror = script.onload = onScriptComplete;
/******/ 				document.head.appendChild(script);
/******/ 			}
/******/ 		}
/******/
/******/ 		// chunk preloadng for javascript
/******/
/******/ 		var chunkPreloadMap = {
/******/ 			"WilEventCalendar": [
/******/ 				"WilEventDate",
/******/ 				"WilEventWeekly"
/******/ 			],
/******/ 			"WilSearchAddress": [
/******/ 				"vendors~WilGoogleMap~WilGridFeaturedImage~WilMapbox",
/******/ 				"vendors~WilGoogleMap",
/******/ 				"default~WilGoogleMap~WilGridFeaturedImage~WilMapbox",
/******/ 				"WilGoogleMap",
/******/ 				"vendors~WilGridFeaturedImage~WilMapbox",
/******/ 				"WilMapbox"
/******/ 			]
/******/ 		};
/******/
/******/ 		var chunkPreloadData = chunkPreloadMap[chunkId];
/******/ 		if(chunkPreloadData) {
/******/ 			chunkPreloadData.forEach(function(chunkId) {
/******/ 				if(installedChunks[chunkId] === undefined) {
/******/ 					installedChunks[chunkId] = null;
/******/ 					var link = document.createElement('link');
/******/
/******/ 					link.charset = 'utf-8';
/******/ 					if (__webpack_require__.nc) {
/******/ 						link.setAttribute("nonce", __webpack_require__.nc);
/******/ 					}
/******/ 					link.rel = "preload";
/******/ 					link.as = "script";
/******/ 					link.href = jsonpScriptSrc(chunkId);
/******/ 					document.head.appendChild(link);
/******/ 				}
/******/ 			});
/******/ 		}
/******/ 		return Promise.all(promises);
/******/ 	};
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = webpack_public_path__;
/******/
/******/ 	// on error function for async loading
/******/ 	__webpack_require__.oe = function(err) { console.error(err); throw err; };
/******/
/******/ 	var jsonpArray = window["webpackJsonp"] = window["webpackJsonp"] || [];
/******/ 	var oldJsonpFunction = jsonpArray.push.bind(jsonpArray);
/******/ 	jsonpArray.push = webpackJsonpCallback;
/******/ 	jsonpArray = jsonpArray.slice();
/******/ 	for(var i = 0; i < jsonpArray.length; i++) webpackJsonpCallback(jsonpArray[i]);
/******/ 	var parentJsonpFunction = oldJsonpFunction;
/******/
/******/
/******/ 	var startupResult = (function() {
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./assets/dev/js/addlisting.js");
/******/ 	})();
/******/
/******/ 	webpackJsonpCallback([[], {}, 0, ["WilIcon"]]);
/******/ 	return startupResult;
/******/ })
/************************************************************************/
/******/ ({

/***/ "./assets/dev/js/addlisting.js":
/*!*************************************!*\
  !*** ./assets/dev/js/addlisting.js ***!
  \*************************************/
/*! no exports provided */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @babel/runtime/helpers/toConsumableArray */ \"./node_modules/@babel/runtime/helpers/toConsumableArray.js\");\n/* harmony import */ var _babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @babel/runtime/helpers/defineProperty */ \"./node_modules/@babel/runtime/helpers/defineProperty.js\");\n/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_1__);\n/* harmony import */ var _components_smart_FieldsGroup_WilFieldsGroup_vue__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./components/smart/FieldsGroup/WilFieldsGroup.vue */ \"./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue\");\n/* harmony import */ var _components_smart_FieldsGroup_WilHeaderGroup_vue__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./components/smart/FieldsGroup/WilHeaderGroup.vue */ \"./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue\");\n\n\nfunction ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }\nfunction _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_1___default()(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }\n\n\n__webpack_require__.p = WILOKE_INLINE_GLOBAL.productionURL;\nVue.component(_components_smart_FieldsGroup_WilFieldsGroup_vue__WEBPACK_IMPORTED_MODULE_2__[\"default\"].name, _components_smart_FieldsGroup_WilFieldsGroup_vue__WEBPACK_IMPORTED_MODULE_2__[\"default\"]);\n// Vue.config.silent = true;\n// Vue.config.devtools = false;\nVue.config.devtools = true;\nvar addListingAnchor = document.getElementById(WHITE_LABEL + \"-addlisting\");\nif (addListingAnchor) {\n  var printAddListing = function printAddListing() {\n    WILOKE_GLOBAL.vm = new Vue({\n      el: \"#\" + WHITE_LABEL + \"-addlisting\",\n      store: WILCITY_VUEX,\n      components: {\n        // WilFieldsGroup,\n        WilHeaderGroup: _components_smart_FieldsGroup_WilHeaderGroup_vue__WEBPACK_IMPORTED_MODULE_3__[\"default\"]\n      },\n      data: function data() {\n        return {\n          sections: [],\n          oAllSocialNetworks: WILCITY_ADDLISTING_INLINE.oSocialNetworks,\n          ajaxHandleReview: null,\n          listingID: WILCITY_ADDLISTING_INLINE.listingID,\n          planID: WILCITY_ADDLISTING_INLINE.planID,\n          listingType: WILCITY_ADDLISTING_INLINE.listingType,\n          isWorkingOn: \"\",\n          isSubmitting: false,\n          aSectionsRange: [],\n          scrollBarTop: 0,\n          errorMsgs: [],\n          wilcityAddListingCsrf: WILCITY_ADDLISTING_INLINE.wilcityAddListingCsrf,\n          results: {},\n          listingTagsAndCatRevelations: {},\n          listingTagsOrder: null // Determining Listing Tag order in the sections variable. Because This field depends on Category, We will have to update its query everytime the Category changes. The cache order helps to reduce finding time\n        };\n      },\n      created: function created() {\n        if (WILCITY_ADDLISTING_INLINE.results) {\n          this.results = _objectSpread({}, WILCITY_ADDLISTING_INLINE.results);\n        }\n      },\n      mounted: function mounted() {\n        // this.calculateMaxMinHeightOfSection();\n        this.init();\n        this.$nextTick(function () {\n          var self = jQuery(\".js-addlisting-sticky\");\n          var headerFixedHeight = jQuery(\"body\").hasClass(\"header-no-sticky\") ? 0 : 88;\n          self.theiaStickySidebar({\n            updateSidebarHeight: true,\n            additionalMarginTop: (Number(self.attr(\"data-margin-top\")) || 20) + headerFixedHeight\n          });\n        });\n      },\n      methods: {\n        preventToSubmit: function preventToSubmit() {},\n        init: function init() {\n          this.sections = _babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_0___default()(WILCITY_ADDLISTING_INLINE.sections);\n        },\n        activeSidebar: function activeSidebar(sectionID) {\n          jQuery(this.$el).find(\".list_item__3YghP\").removeClass(\"active\");\n          jQuery(this.$el).find('a[href=\"#' + sectionID + '\"]').parent().addClass(\"active\");\n        },\n        calculateMaxMinHeightOfSection: function calculateMaxMinHeightOfSection() {\n          var $sections = jQuery(this.$el).find(\"#\" + WHITE_LABEL + \"-addlisting-form\").children();\n          if (!$sections.length) {\n            return false;\n          }\n          var self = this;\n          $sections.each(function () {\n            var sectionID = jQuery(this).attr(\"id\");\n            if (sectionID) {\n              var $section = jQuery(\"#\" + sectionID);\n              self.aSectionsRange.push({\n                max: $section.offset().top + $section.outerHeight(),\n                min: $section.offset().top,\n                id: sectionID\n              });\n            }\n          });\n          this.activeSidebar(self.aSectionsRange[0].id);\n          this.listenScroll();\n        },\n        listenScroll: function listenScroll() {\n          var _this = this;\n          var isScrolling;\n          var windowHeight = jQuery(window).height();\n          var countSections = this.aSectionsRange.length - 1;\n          jQuery(window).scroll(function () {\n            window.clearTimeout(isScrolling);\n            isScrolling = setTimeout(function () {\n              var scrollTop = jQuery(window).scrollTop();\n              if (scrollTop !== _this.scrollBarTop) {\n                _this.scrollBarTop = scrollTop;\n                for (var order = 0; order <= countSections; order++) {\n                  if (_this.aSectionsRange[order].min > scrollTop && _this.aSectionsRange[order].min < windowHeight + scrollTop) {\n                    _this.activeSidebar(_this.aSectionsRange[order].id);\n                    break;\n                  }\n                }\n              }\n            }, 80);\n          });\n        },\n        generateSectionKey: function generateSectionKey(id, addHash) {\n          var generateID = \"\".concat(WHITE_LABEL, \"-addlisting-\").concat(id);\n          if (addHash) {\n            generateID = \"#\" + generateID;\n          }\n          return generateID;\n        },\n        scrollTo: function scrollTo(sectionKey) {\n          this.isWorkingOn = sectionKey;\n          var sectionID = this.generateSectionKey(sectionKey, true);\n          jQuery(\"html, body\").animate({\n            scrollTop: jQuery(sectionID).offset().top - WilCityHelpers.additionalHeightToScrollTop()\n          }, 500);\n        },\n        sidebarClass: function sidebarClass(sectionKey) {\n          return {\n            list_item__3YghP: 1 === 1,\n            active: sectionKey === this.isWorkingOn\n          };\n        },\n        createEmitClickEventToApp: function createEmitClickEventToApp() {\n          var event; // The custom event that will be created\n          event = document.createEvent(\"HTMLEvents\");\n          event.initEvent(\"submitted-listing\", true, true);\n          event.eventName = \"submitted-listing\";\n          document.dispatchEvent(event);\n          console.log(123);\n        },\n        handlePreview: function handlePreview() {\n          var _this2 = this;\n          this.isSubmitting = true;\n          this.errorMsgs = [];\n          var ajaxAction = \"\";\n          ajaxAction = \"wilcity_handle_review_listing\";\n          var formData = new FormData();\n          formData.append(\"action\", ajaxAction);\n          formData.append(\"planID\", this.planID);\n          formData.append(\"listingID\", this.listingID);\n          if (!!WILOKE_INLINE_GLOBAL.wpmlCurrentLang) {\n            formData.append(\"lang\", WILOKE_INLINE_GLOBAL.wpmlCurrentLang);\n          }\n          formData.append(\"listingType\", this.listingType);\n          formData.append(\"data\", JSON.stringify(this.results));\n          formData.append(\"wilcityAddListingCsrf\", this.wilcityAddListingCsrf);\n          Vue.axios.post(WILOKE_GLOBAL.ajaxurl, formData, {\n            headers: {\n              \"Content-Type\": \"multipart/form-data\"\n            }\n          }).then(function (response) {\n            if (!response.data.success) {\n              if (response.data.data.msg) {\n                _this2.errorMsgs = [response.data.data.msg];\n              } else {\n                _this2.errorMsgs = _babel_runtime_helpers_toConsumableArray__WEBPACK_IMPORTED_MODULE_0___default()(response.data.data);\n              }\n            } else {\n              window.location.href = response.data.data.redirectTo;\n            }\n          })[\"finally\"](function () {\n            _this2.isSubmitting = false;\n          });\n        },\n        generateCacheTagRevelationKey: function generateCacheTagRevelationKey() {\n          var catIds = this.getListingCatIds();\n          if (!catIds.length) {\n            return \"all\";\n          }\n          return WilCacheKeyHelper.generateCacheKey(catIds);\n        },\n        removeInRevelationTags: function removeInRevelationTags() {\n          var catIds = this.getListingCatIds();\n          if (!catIds.length) {\n            return false;\n          }\n          var rawTags = this.getValue(\"listing_tag\");\n          if (!!rawTags.listing_tag === false || !rawTags.listing_tag.length) {\n            return false;\n          }\n          var tags = [];\n          if (_.isArray(rawTags.listing_tag)) {\n            tags = rawTags.listing_tag.filter(function (tag) {\n              return _.isEmpty(tag.belongsTo) || tag.belongsTo.some(function (catId) {\n                return catIds.includes(catId);\n              });\n            });\n          } else {\n            tags = _.isEmpty(rawTags.belongsTo) || rawTags.belongsTo.some(function (catId) {\n              return catIds.includes(catId);\n            }) ? rawTags : [];\n          }\n          this.updateResults(\"listing_tag\", {\n            listing_tag: tags\n          });\n        },\n        getListingCatIds: function getListingCatIds() {\n          var rawListingCat = this.getValue(\"listing_cat\");\n          if (!!rawListingCat.listing_cat === false || _.isEmpty(rawListingCat.listing_cat)) {\n            return [];\n          }\n          var listingCat = rawListingCat.listing_cat;\n          var listingCatIds = [];\n          if (_.isNumber(listingCat)) {\n            listingCatIds = [listingCat];\n          } else if (_.isArray(listingCat)) {\n            listingCatIds = listingCat.map(function (item) {\n              return !_.isUndefined(item.ID) ? item.ID : item.id;\n            });\n          } else if (_.isObject(listingCat)) {\n            listingCatIds = !_.isUndefined(listingCat.ID) ? [listingCat.ID] : [listingCat.id];\n          }\n          return listingCatIds;\n        },\n        setListingTagsCache: function setListingTagsCache() {\n          var tags = this.getValue(\"listing_tag\");\n          var catIds = this.getListingCatIds();\n          var cacheKey = this.generateCacheTagRevelationKey();\n          this.listingTagsAndCatRevelations = _objectSpread(_objectSpread({}, this.listingTagsAndCatRevelations), {}, _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_1___default()({}, cacheKey, tags.listing_tag));\n        },\n        updateListingTagQuery: function updateListingTagQuery() {\n          var _this3 = this;\n          if (this.listingTagsOrder === null) {\n            this.listingTagsOrder = this.sections.findIndex(function (item) {\n              return item.key === \"listing_tag\";\n            });\n          }\n          var listingCatIds = this.getListingCatIds();\n          if (!listingCatIds.length) {\n            return false;\n          }\n          if (this.listingTagsOrder !== -1) {\n            var listingTag = _objectSpread({}, this.sections[this.listingTagsOrder]);\n            listingTag = _objectSpread(_objectSpread({}, listingTag), {}, {\n              fieldGroups: _objectSpread(_objectSpread({}, listingTag.fieldGroups), {}, {\n                listing_tag: _objectSpread(_objectSpread({}, listingTag.fieldGroups.listing_tag), {}, {\n                  queryArgs: _objectSpread(_objectSpread({}, listingTag.fieldGroups.listing_tag.queryArgs), {}, {\n                    listing_cat: listingCatIds\n                  }),\n                  lastReset: new Date().getTime()\n                })\n              })\n            });\n            this.sections = this.sections.map(function (section, index) {\n              return index === _this3.listingTagsOrder ? listingTag : section;\n            });\n          }\n        },\n        updateTagsByListingCat: function updateTagsByListingCat(listingCat) {\n          if (!!listingCat.listing_cat === false || _.isEmpty(listingCat.listing_cat)) {\n            return false;\n          }\n          var cacheKey = this.generateCacheTagRevelationKey();\n          if (!!this.listingTagsAndCatRevelations[cacheKey]) {\n            this.updateResults(\"listing_tag\", {\n              listing_tag: this.listingTagsAndCatRevelations[cacheKey]\n            });\n          }\n        },\n        deleteResult: function deleteResult(key) {\n          Vue[\"delete\"](this.results, key);\n        },\n        updateResults: function updateResults(key, val) {\n          this.results = _objectSpread(_objectSpread({}, this.results), {}, _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_1___default()({}, key, val));\n          if (key === \"listing_tag\") {\n            this.setListingTagsCache();\n          }\n        },\n        handleFieldChange: function handleFieldChange(key) {\n          var _this4 = this;\n          return function (val) {\n            _this4.updateResults(key, val);\n            if (key === \"listing_cat\") {\n              _this4.updateListingTagQuery(val);\n              _this4.updateTagsByListingCat(val);\n              _this4.removeInRevelationTags();\n            }\n          };\n        },\n        getValue: function getValue(key) {\n          return this.results[key] ? this.results[key] : {};\n        }\n      },\n      computed: {\n        submitBtnClass: function submitBtnClass() {\n          return {\n            \"disable wil-btn--loading\": this.isSubmitting\n          };\n        },\n        pillLoadingClass: function pillLoadingClass() {\n          return {\n            \"pill-loading_loader__3LOnT\": this.isSubmitting\n          };\n        }\n      }\n    });\n  };\n  jQuery.ajax({\n    type: 'POST',\n    url: WILOKE_GLOBAL.ajaxurl,\n    data: {\n      action: 'wilcity_fetch_listing_settings',\n      url: location.href\n    },\n    success: function success(response) {\n      if (response.success) {\n        WILCITY_ADDLISTING_INLINE = _objectSpread({}, response.data.info);\n      } else {\n        alert(response.data.msg);\n      }\n    }\n  }).done(function () {\n    printAddListing();\n    jQuery('#wilcity-addlisting').removeClass('hidden');\n  }).fail(function (jqXHR, textStatus) {\n    alert(textStatus);\n  });\n}\n\n//# sourceURL=webpack:///./assets/dev/js/addlisting.js?");

/***/ }),

/***/ "./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue":
/*!***********************************************************************!*\
  !*** ./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue ***!
  \***********************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _WilFieldsGroup_vue_vue_type_template_id_34c010f6___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./WilFieldsGroup.vue?vue&type=template&id=34c010f6& */ \"./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?vue&type=template&id=34c010f6&\");\n/* harmony import */ var _WilFieldsGroup_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./WilFieldsGroup.vue?vue&type=script&lang=js& */ \"./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?vue&type=script&lang=js&\");\n/* empty/unused harmony star reexport *//* harmony import */ var _node_modules_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../../../../node_modules/vue-loader/lib/runtime/componentNormalizer.js */ \"./node_modules/vue-loader/lib/runtime/componentNormalizer.js\");\n\n\n\n\n\n/* normalize component */\n\nvar component = Object(_node_modules_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(\n  _WilFieldsGroup_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_1__[\"default\"],\n  _WilFieldsGroup_vue_vue_type_template_id_34c010f6___WEBPACK_IMPORTED_MODULE_0__[\"render\"],\n  _WilFieldsGroup_vue_vue_type_template_id_34c010f6___WEBPACK_IMPORTED_MODULE_0__[\"staticRenderFns\"],\n  false,\n  null,\n  null,\n  null\n  \n)\n\n/* hot reload */\nif (false) { var api; }\ncomponent.options.__file = \"assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue\"\n/* harmony default export */ __webpack_exports__[\"default\"] = (component.exports);\n\n//# sourceURL=webpack:///./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?");

/***/ }),

/***/ "./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?vue&type=script&lang=js&":
/*!************************************************************************************************!*\
  !*** ./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?vue&type=script&lang=js& ***!
  \************************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _node_modules_babel_loader_lib_index_js_node_modules_vue_loader_lib_index_js_vue_loader_options_WilFieldsGroup_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! -!../../../../../../node_modules/babel-loader/lib!../../../../../../node_modules/vue-loader/lib??vue-loader-options!./WilFieldsGroup.vue?vue&type=script&lang=js& */ \"./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/lib/index.js?!./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?vue&type=script&lang=js&\");\n/* empty/unused harmony star reexport */ /* harmony default export */ __webpack_exports__[\"default\"] = (_node_modules_babel_loader_lib_index_js_node_modules_vue_loader_lib_index_js_vue_loader_options_WilFieldsGroup_vue_vue_type_script_lang_js___WEBPACK_IMPORTED_MODULE_0__[\"default\"]); \n\n//# sourceURL=webpack:///./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?");

/***/ }),

/***/ "./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?vue&type=template&id=34c010f6&":
/*!******************************************************************************************************!*\
  !*** ./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?vue&type=template&id=34c010f6& ***!
  \******************************************************************************************************/
/*! exports provided: render, staticRenderFns */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _node_modules_babel_loader_lib_index_js_node_modules_vue_loader_lib_loaders_templateLoader_js_ref_6_node_modules_vue_loader_lib_index_js_vue_loader_options_WilFieldsGroup_vue_vue_type_template_id_34c010f6___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! -!../../../../../../node_modules/babel-loader/lib!../../../../../../node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!../../../../../../node_modules/vue-loader/lib??vue-loader-options!./WilFieldsGroup.vue?vue&type=template&id=34c010f6& */ \"./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/lib/loaders/templateLoader.js?!./node_modules/vue-loader/lib/index.js?!./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?vue&type=template&id=34c010f6&\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"render\", function() { return _node_modules_babel_loader_lib_index_js_node_modules_vue_loader_lib_loaders_templateLoader_js_ref_6_node_modules_vue_loader_lib_index_js_vue_loader_options_WilFieldsGroup_vue_vue_type_template_id_34c010f6___WEBPACK_IMPORTED_MODULE_0__[\"render\"]; });\n\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"staticRenderFns\", function() { return _node_modules_babel_loader_lib_index_js_node_modules_vue_loader_lib_loaders_templateLoader_js_ref_6_node_modules_vue_loader_lib_index_js_vue_loader_options_WilFieldsGroup_vue_vue_type_template_id_34c010f6___WEBPACK_IMPORTED_MODULE_0__[\"staticRenderFns\"]; });\n\n\n\n//# sourceURL=webpack:///./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?");

/***/ }),

/***/ "./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue":
/*!***********************************************************************!*\
  !*** ./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue ***!
  \***********************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _WilHeaderGroup_vue_vue_type_template_id_0a01bba2___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./WilHeaderGroup.vue?vue&type=template&id=0a01bba2& */ \"./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?vue&type=template&id=0a01bba2&\");\n/* harmony import */ var _WilHeaderGroup_vue_vue_type_script_lang_javascript___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./WilHeaderGroup.vue?vue&type=script&lang=javascript& */ \"./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?vue&type=script&lang=javascript&\");\n/* empty/unused harmony star reexport *//* harmony import */ var _node_modules_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../../../../node_modules/vue-loader/lib/runtime/componentNormalizer.js */ \"./node_modules/vue-loader/lib/runtime/componentNormalizer.js\");\n\n\n\n\n\n/* normalize component */\n\nvar component = Object(_node_modules_vue_loader_lib_runtime_componentNormalizer_js__WEBPACK_IMPORTED_MODULE_2__[\"default\"])(\n  _WilHeaderGroup_vue_vue_type_script_lang_javascript___WEBPACK_IMPORTED_MODULE_1__[\"default\"],\n  _WilHeaderGroup_vue_vue_type_template_id_0a01bba2___WEBPACK_IMPORTED_MODULE_0__[\"render\"],\n  _WilHeaderGroup_vue_vue_type_template_id_0a01bba2___WEBPACK_IMPORTED_MODULE_0__[\"staticRenderFns\"],\n  false,\n  null,\n  null,\n  null\n  \n)\n\n/* hot reload */\nif (false) { var api; }\ncomponent.options.__file = \"assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue\"\n/* harmony default export */ __webpack_exports__[\"default\"] = (component.exports);\n\n//# sourceURL=webpack:///./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?");

/***/ }),

/***/ "./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?vue&type=script&lang=javascript&":
/*!********************************************************************************************************!*\
  !*** ./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?vue&type=script&lang=javascript& ***!
  \********************************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _node_modules_vue_loader_lib_index_js_vue_loader_options_WilHeaderGroup_vue_vue_type_script_lang_javascript___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! -!../../../../../../node_modules/vue-loader/lib??vue-loader-options!./WilHeaderGroup.vue?vue&type=script&lang=javascript& */ \"./node_modules/vue-loader/lib/index.js?!./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?vue&type=script&lang=javascript&\");\n/* empty/unused harmony star reexport */ /* harmony default export */ __webpack_exports__[\"default\"] = (_node_modules_vue_loader_lib_index_js_vue_loader_options_WilHeaderGroup_vue_vue_type_script_lang_javascript___WEBPACK_IMPORTED_MODULE_0__[\"default\"]); \n\n//# sourceURL=webpack:///./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?");

/***/ }),

/***/ "./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?vue&type=template&id=0a01bba2&":
/*!******************************************************************************************************!*\
  !*** ./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?vue&type=template&id=0a01bba2& ***!
  \******************************************************************************************************/
/*! exports provided: render, staticRenderFns */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _node_modules_babel_loader_lib_index_js_node_modules_vue_loader_lib_loaders_templateLoader_js_ref_6_node_modules_vue_loader_lib_index_js_vue_loader_options_WilHeaderGroup_vue_vue_type_template_id_0a01bba2___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! -!../../../../../../node_modules/babel-loader/lib!../../../../../../node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!../../../../../../node_modules/vue-loader/lib??vue-loader-options!./WilHeaderGroup.vue?vue&type=template&id=0a01bba2& */ \"./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/lib/loaders/templateLoader.js?!./node_modules/vue-loader/lib/index.js?!./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?vue&type=template&id=0a01bba2&\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"render\", function() { return _node_modules_babel_loader_lib_index_js_node_modules_vue_loader_lib_loaders_templateLoader_js_ref_6_node_modules_vue_loader_lib_index_js_vue_loader_options_WilHeaderGroup_vue_vue_type_template_id_0a01bba2___WEBPACK_IMPORTED_MODULE_0__[\"render\"]; });\n\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"staticRenderFns\", function() { return _node_modules_babel_loader_lib_index_js_node_modules_vue_loader_lib_loaders_templateLoader_js_ref_6_node_modules_vue_loader_lib_index_js_vue_loader_options_WilHeaderGroup_vue_vue_type_template_id_0a01bba2___WEBPACK_IMPORTED_MODULE_0__[\"staticRenderFns\"]; });\n\n\n\n//# sourceURL=webpack:///./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?");

/***/ }),

/***/ "./assets/dev/js/mixins/DetermineFieldComponent.js":
/*!*********************************************************!*\
  !*** ./assets/dev/js/mixins/DetermineFieldComponent.js ***!
  \*********************************************************/
/*! exports provided: DetermineFieldComponent */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"DetermineFieldComponent\", function() { return DetermineFieldComponent; });\nvar DetermineFieldComponent = {\n  data: function data() {\n    return {\n      libComponents: [\"vue-editor\"]\n    };\n  },\n  methods: {\n    determineFieldComponent: function determineFieldComponent(component) {\n      // This feature helps to determine the name of new field in 1.2.0\n      if (this.libComponents.includes(component)) {\n        return component;\n      }\n      var newComponent = \"\";\n      switch (component) {\n        case \"event_calendar\":\n          newComponent = \"wil-event-calendar\";\n          break;\n        case \"select2\":\n          newComponent = \"wil-select-tree\";\n          break;\n        case \"date_range\":\n          newComponent = \"wil-date-range\";\n          break;\n        case \"autocomplete\":\n          newComponent = \"wil-auto-complete\";\n          break;\n        case \"wil-price-range\":\n          newComponent = \"wil-search-form-price-range\";\n          break;\n        default:\n          newComponent = component.indexOf(\"wil\") !== 0 ? \"wil-\".concat(component) : component;\n          break;\n      }\n      return newComponent;\n    }\n  }\n};\n\n//# sourceURL=webpack:///./assets/dev/js/mixins/DetermineFieldComponent.js?");

/***/ }),

/***/ "./assets/dev/js/mixins/FieldsGroupHelper.js":
/*!***************************************************!*\
  !*** ./assets/dev/js/mixins/FieldsGroupHelper.js ***!
  \***************************************************/
/*! exports provided: FieldsGroupHelper */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"FieldsGroupHelper\", function() { return FieldsGroupHelper; });\n/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @babel/runtime/helpers/defineProperty */ \"./node_modules/@babel/runtime/helpers/defineProperty.js\");\n/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var vuex__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! vuex */ \"./node_modules/vuex/dist/vuex.esm.js\");\n\nfunction ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }\nfunction _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default()(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }\n\nvar FieldsGroupHelper = {\n  data: function data() {\n    return {\n      libComponents: [\"vue-editor\"]\n    };\n  },\n  methods: {\n    handleDependency: function handleDependency(field) {\n      if (_.isUndefined(field.dependency)) {\n        return true;\n      }\n      var compare = field.dependency.compare;\n      var parentValue = !!this.wilFields[field.dependency.parent] ? this.getValue(this.wilFields[field.dependency.parent], false) : null;\n      var isMatched = false;\n      switch (compare) {\n        case \"=\":\n          isMatched = parentValue == field.dependency.value;\n          break;\n        case \"!=\":\n          isMatched = parentValue != field.dependency.value;\n          break;\n      }\n      return isMatched;\n    },\n    parseField: function parseField(field) {\n      var newField = _objectSpread(_objectSpread({}, field), {}, {\n        queryArgs: this.buildQueryArgs(field),\n        sectionKey: !!this.settings ? this.settings.key : '',\n        module: \"addlisting\"\n      });\n      if (typeof field.defaultExpandedLevel != \"undefined\") {\n        newField = _objectSpread(_objectSpread({}, newField), {}, {\n          defaultExpandedLevel: 1\n        });\n      }\n      return newField;\n    },\n    parseFieldClasses: function parseFieldClasses(field) {\n      var defaultClasses = \"field_module__1H6kT field_style2__2Znhe\";\n      if (field.fieldStatus) {\n        return \"\".concat(field.fieldStatus, \" \").concat(defaultClasses);\n      }\n      return defaultClasses;\n    },\n    isEnable: function isEnable(field) {\n      if (field.isEnable) {\n        if (field.isEnable === \"yes\" || field.isEnable === true) {\n          return true;\n        } else {\n          return false;\n        }\n      } else if (field.toggle) {\n        if (field.toggle == \"enable\") {\n          return true;\n        } else {\n          return false;\n        }\n      } else {\n        return true;\n      }\n    },\n    getValue: function getValue(field, focusDefault) {\n      if (!focusDefault && this.model[field.key]) {\n        return this.model[field.key];\n      }\n      if (field.value) {\n        return field.value;\n      }\n      if (field.valueFormat === \"object\") {\n        if (field.type === \"wil-select-tree\") {\n          if (field.maximum == 1) {\n            if (!field.selectValueFormat || field.selectValueFormat === \"id\") {\n              return \"\";\n            }\n          }\n        }\n        return {};\n      }\n      if (field.valueFormat === \"array\") {\n        return [];\n      }\n      if ((field.type === \"wil-uploader\" || field.type === \"wil-select-tree\") && field.maximum && parseInt(field.maximum, 10) > 1) {\n        return [];\n      }\n      return \"\";\n    },\n    parseMaximumItems: function parseMaximumItems(field) {\n      return field.maximum ? parseInt(field.maximum, 10) : 0;\n    },\n    buildQueryArgs: function buildQueryArgs(field) {\n      var query = _objectSpread({}, field);\n      if (query.queryArgs) {\n        var parseQueryArgs = Object.keys(query.queryArgs).reduce(function (accumulator, key) {\n          var value = query.queryArgs[key];\n          if (_.isString(value)) {\n            value = value.replace(/{{([^\\}]+)}}/, function (match, group1) {\n              return field[group1];\n            });\n          }\n          return _objectSpread(_objectSpread({}, accumulator), {}, _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default()({}, key, value));\n        }, {});\n        query = _objectSpread(_objectSpread(_objectSpread({}, query), parseQueryArgs), {}, {\n          mode: \"select\",\n          component: this.component\n        });\n      }\n      if (query.isTax) {\n        if (field.loadOptionMode === \"ajaxloadroot\") {\n          query = _objectSpread(_objectSpread({}, query), {}, {\n            parent: 0\n          });\n        }\n        delete query.key;\n      }\n      delete query.isRequired;\n      delete query.label;\n      delete query.type;\n      delete query.isAjax;\n      delete query.restRoute;\n      delete query.ajaxUrl;\n      delete query.selectValueFormat;\n      delete query.valueFormat;\n      delete query.placeholder;\n      delete query.description;\n      delete query.ajaxloadroot;\n      delete query.ajaxLoadMode;\n      delete query.dependency;\n      delete query.queryArgs;\n      if (this.postType) {\n        query = _objectSpread(_objectSpread({}, query), {}, {\n          postType: this.postType\n        });\n      }\n      return query;\n    },\n    fieldOptions: function fieldOptions(field) {\n      var _this = this;\n      if (!field.options) {\n        return [];\n      }\n      if (field.type !== \"wil-select-tree\") {\n        return field.options ? field.options : \"\";\n      }\n      if (field.isCustomField) {\n        if (Array.isArray(field.options)) {\n          return field.options;\n        }\n        var rawOptions = field.options.includes(\"\\n\") ? field.options.split(\"\\n\") : field.options.split(\",\");\n        return rawOptions.map(function (rawOption) {\n          return _this.parseOption(rawOption, \"selectTree\");\n        });\n      }\n      return field.options;\n    },\n    loadOptionMode: function loadOptionMode(field) {\n      if (field.loadOptionMode) {\n        return field.loadOptionMode;\n      }\n      return \"\";\n    },\n    selectValueFormat: function selectValueFormat(field) {\n      // return field.selectValueFormat ? field.selectValueFormat : \"id\";\n      return field.selectValueFormat ? field.selectValueFormat : \"id\";\n    },\n    isRequired: function isRequired(field) {\n      return field.isRequired === true || field.isRequired === \"true\" || field.isRequired === \"yes\";\n    },\n    searchUrl: function searchUrl(field) {\n      if (field.restRoute) {\n        var route = field.restRoute.replace(/{{([^\\}]+)}}/, function (match, group1) {\n          return field[group1];\n        });\n        return \"\".concat(WILOKE_GLOBAL.restAPI).concat(route);\n      }\n      if (field.isAjax) {\n        return \"\".concat(WILOKE_GLOBAL.ajaxurl);\n      }\n      return \"\";\n    }\n  }\n};\n\n//# sourceURL=webpack:///./assets/dev/js/mixins/FieldsGroupHelper.js?");

/***/ }),

/***/ "./assets/dev/js/mixins/ParseOption.js":
/*!*********************************************!*\
  !*** ./assets/dev/js/mixins/ParseOption.js ***!
  \*********************************************/
/*! exports provided: ParseOption */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"ParseOption\", function() { return ParseOption; });\n/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @babel/runtime/helpers/defineProperty */ \"./node_modules/@babel/runtime/helpers/defineProperty.js\");\n/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0__);\n\nfunction ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }\nfunction _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default()(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }\nvar ParseOption = {\n  methods: {\n    getIconColor: function getIconColor(input) {\n      return input.replace(\"icon_color_\", \"\");\n    },\n    getIcon: function getIcon(input) {\n      return input.replace(\"icon_\", \"\").replace(\"_\", \" \");\n    },\n    getOption: function getOption(input) {\n      var option = input.split(\":\");\n      return {\n        key: option[0],\n        value: option[1]\n      };\n    },\n    parseOption: function parseOption(input, outputType) {\n      var _this = this;\n      var parsedOption = input.split(\"|\");\n      return parsedOption.reduce(function (accumulator, item) {\n        if (item.includes(\"icon_color_\")) {\n          return _objectSpread(_objectSpread({}, accumulator), {}, {\n            icon_color: _this.getIconColor(item)\n          });\n        }\n        if (item.includes(\"icon_\")) {\n          return _objectSpread(_objectSpread({}, accumulator), {}, {\n            icon: _this.getIcon(item)\n          });\n        }\n        var option = _this.getOption(item, outputType);\n        if (outputType === \"selectTree\") {\n          return _objectSpread(_objectSpread({}, accumulator), {}, {\n            id: option.key,\n            label: option.value\n          });\n        }\n        return _objectSpread(_objectSpread({}, accumulator), {}, {\n          option: option\n        });\n      }, {});\n    }\n  }\n};\n\n//# sourceURL=webpack:///./assets/dev/js/mixins/ParseOption.js?");

/***/ }),

/***/ "./node_modules/@babel/runtime/helpers/arrayLikeToArray.js":
/*!*****************************************************************!*\
  !*** ./node_modules/@babel/runtime/helpers/arrayLikeToArray.js ***!
  \*****************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("function _arrayLikeToArray(arr, len) {\n  if (len == null || len > arr.length) len = arr.length;\n  for (var i = 0, arr2 = new Array(len); i < len; i++) {\n    arr2[i] = arr[i];\n  }\n  return arr2;\n}\nmodule.exports = _arrayLikeToArray, module.exports.__esModule = true, module.exports[\"default\"] = module.exports;\n\n//# sourceURL=webpack:///./node_modules/@babel/runtime/helpers/arrayLikeToArray.js?");

/***/ }),

/***/ "./node_modules/@babel/runtime/helpers/arrayWithoutHoles.js":
/*!******************************************************************!*\
  !*** ./node_modules/@babel/runtime/helpers/arrayWithoutHoles.js ***!
  \******************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("var arrayLikeToArray = __webpack_require__(/*! ./arrayLikeToArray.js */ \"./node_modules/@babel/runtime/helpers/arrayLikeToArray.js\");\nfunction _arrayWithoutHoles(arr) {\n  if (Array.isArray(arr)) return arrayLikeToArray(arr);\n}\nmodule.exports = _arrayWithoutHoles, module.exports.__esModule = true, module.exports[\"default\"] = module.exports;\n\n//# sourceURL=webpack:///./node_modules/@babel/runtime/helpers/arrayWithoutHoles.js?");

/***/ }),

/***/ "./node_modules/@babel/runtime/helpers/defineProperty.js":
/*!***************************************************************!*\
  !*** ./node_modules/@babel/runtime/helpers/defineProperty.js ***!
  \***************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("var toPropertyKey = __webpack_require__(/*! ./toPropertyKey.js */ \"./node_modules/@babel/runtime/helpers/toPropertyKey.js\");\nfunction _defineProperty(obj, key, value) {\n  key = toPropertyKey(key);\n  if (key in obj) {\n    Object.defineProperty(obj, key, {\n      value: value,\n      enumerable: true,\n      configurable: true,\n      writable: true\n    });\n  } else {\n    obj[key] = value;\n  }\n  return obj;\n}\nmodule.exports = _defineProperty, module.exports.__esModule = true, module.exports[\"default\"] = module.exports;\n\n//# sourceURL=webpack:///./node_modules/@babel/runtime/helpers/defineProperty.js?");

/***/ }),

/***/ "./node_modules/@babel/runtime/helpers/iterableToArray.js":
/*!****************************************************************!*\
  !*** ./node_modules/@babel/runtime/helpers/iterableToArray.js ***!
  \****************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("function _iterableToArray(iter) {\n  if (typeof Symbol !== \"undefined\" && iter[Symbol.iterator] != null || iter[\"@@iterator\"] != null) return Array.from(iter);\n}\nmodule.exports = _iterableToArray, module.exports.__esModule = true, module.exports[\"default\"] = module.exports;\n\n//# sourceURL=webpack:///./node_modules/@babel/runtime/helpers/iterableToArray.js?");

/***/ }),

/***/ "./node_modules/@babel/runtime/helpers/nonIterableSpread.js":
/*!******************************************************************!*\
  !*** ./node_modules/@babel/runtime/helpers/nonIterableSpread.js ***!
  \******************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("function _nonIterableSpread() {\n  throw new TypeError(\"Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.\");\n}\nmodule.exports = _nonIterableSpread, module.exports.__esModule = true, module.exports[\"default\"] = module.exports;\n\n//# sourceURL=webpack:///./node_modules/@babel/runtime/helpers/nonIterableSpread.js?");

/***/ }),

/***/ "./node_modules/@babel/runtime/helpers/toConsumableArray.js":
/*!******************************************************************!*\
  !*** ./node_modules/@babel/runtime/helpers/toConsumableArray.js ***!
  \******************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("var arrayWithoutHoles = __webpack_require__(/*! ./arrayWithoutHoles.js */ \"./node_modules/@babel/runtime/helpers/arrayWithoutHoles.js\");\nvar iterableToArray = __webpack_require__(/*! ./iterableToArray.js */ \"./node_modules/@babel/runtime/helpers/iterableToArray.js\");\nvar unsupportedIterableToArray = __webpack_require__(/*! ./unsupportedIterableToArray.js */ \"./node_modules/@babel/runtime/helpers/unsupportedIterableToArray.js\");\nvar nonIterableSpread = __webpack_require__(/*! ./nonIterableSpread.js */ \"./node_modules/@babel/runtime/helpers/nonIterableSpread.js\");\nfunction _toConsumableArray(arr) {\n  return arrayWithoutHoles(arr) || iterableToArray(arr) || unsupportedIterableToArray(arr) || nonIterableSpread();\n}\nmodule.exports = _toConsumableArray, module.exports.__esModule = true, module.exports[\"default\"] = module.exports;\n\n//# sourceURL=webpack:///./node_modules/@babel/runtime/helpers/toConsumableArray.js?");

/***/ }),

/***/ "./node_modules/@babel/runtime/helpers/toPrimitive.js":
/*!************************************************************!*\
  !*** ./node_modules/@babel/runtime/helpers/toPrimitive.js ***!
  \************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("var _typeof = __webpack_require__(/*! ./typeof.js */ \"./node_modules/@babel/runtime/helpers/typeof.js\")[\"default\"];\nfunction _toPrimitive(input, hint) {\n  if (_typeof(input) !== \"object\" || input === null) return input;\n  var prim = input[Symbol.toPrimitive];\n  if (prim !== undefined) {\n    var res = prim.call(input, hint || \"default\");\n    if (_typeof(res) !== \"object\") return res;\n    throw new TypeError(\"@@toPrimitive must return a primitive value.\");\n  }\n  return (hint === \"string\" ? String : Number)(input);\n}\nmodule.exports = _toPrimitive, module.exports.__esModule = true, module.exports[\"default\"] = module.exports;\n\n//# sourceURL=webpack:///./node_modules/@babel/runtime/helpers/toPrimitive.js?");

/***/ }),

/***/ "./node_modules/@babel/runtime/helpers/toPropertyKey.js":
/*!**************************************************************!*\
  !*** ./node_modules/@babel/runtime/helpers/toPropertyKey.js ***!
  \**************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("var _typeof = __webpack_require__(/*! ./typeof.js */ \"./node_modules/@babel/runtime/helpers/typeof.js\")[\"default\"];\nvar toPrimitive = __webpack_require__(/*! ./toPrimitive.js */ \"./node_modules/@babel/runtime/helpers/toPrimitive.js\");\nfunction _toPropertyKey(arg) {\n  var key = toPrimitive(arg, \"string\");\n  return _typeof(key) === \"symbol\" ? key : String(key);\n}\nmodule.exports = _toPropertyKey, module.exports.__esModule = true, module.exports[\"default\"] = module.exports;\n\n//# sourceURL=webpack:///./node_modules/@babel/runtime/helpers/toPropertyKey.js?");

/***/ }),

/***/ "./node_modules/@babel/runtime/helpers/typeof.js":
/*!*******************************************************!*\
  !*** ./node_modules/@babel/runtime/helpers/typeof.js ***!
  \*******************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("function _typeof(obj) {\n  \"@babel/helpers - typeof\";\n\n  return (module.exports = _typeof = \"function\" == typeof Symbol && \"symbol\" == typeof Symbol.iterator ? function (obj) {\n    return typeof obj;\n  } : function (obj) {\n    return obj && \"function\" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? \"symbol\" : typeof obj;\n  }, module.exports.__esModule = true, module.exports[\"default\"] = module.exports), _typeof(obj);\n}\nmodule.exports = _typeof, module.exports.__esModule = true, module.exports[\"default\"] = module.exports;\n\n//# sourceURL=webpack:///./node_modules/@babel/runtime/helpers/typeof.js?");

/***/ }),

/***/ "./node_modules/@babel/runtime/helpers/unsupportedIterableToArray.js":
/*!***************************************************************************!*\
  !*** ./node_modules/@babel/runtime/helpers/unsupportedIterableToArray.js ***!
  \***************************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

eval("var arrayLikeToArray = __webpack_require__(/*! ./arrayLikeToArray.js */ \"./node_modules/@babel/runtime/helpers/arrayLikeToArray.js\");\nfunction _unsupportedIterableToArray(o, minLen) {\n  if (!o) return;\n  if (typeof o === \"string\") return arrayLikeToArray(o, minLen);\n  var n = Object.prototype.toString.call(o).slice(8, -1);\n  if (n === \"Object\" && o.constructor) n = o.constructor.name;\n  if (n === \"Map\" || n === \"Set\") return Array.from(o);\n  if (n === \"Arguments\" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return arrayLikeToArray(o, minLen);\n}\nmodule.exports = _unsupportedIterableToArray, module.exports.__esModule = true, module.exports[\"default\"] = module.exports;\n\n//# sourceURL=webpack:///./node_modules/@babel/runtime/helpers/unsupportedIterableToArray.js?");

/***/ }),

/***/ "./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/lib/index.js?!./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?vue&type=script&lang=js&":
/*!**********************************************************************************************************************************************************************************!*\
  !*** ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options!./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?vue&type=script&lang=js& ***!
  \**********************************************************************************************************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @babel/runtime/helpers/defineProperty */ \"./node_modules/@babel/runtime/helpers/defineProperty.js\");\n/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0__);\n/* harmony import */ var _mixins_ParseOption__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./../../../mixins/ParseOption */ \"./assets/dev/js/mixins/ParseOption.js\");\n/* harmony import */ var _mixins_FieldsGroupHelper__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./../../../mixins/FieldsGroupHelper */ \"./assets/dev/js/mixins/FieldsGroupHelper.js\");\n/* harmony import */ var _mixins_DetermineFieldComponent__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./../../../mixins/DetermineFieldComponent */ \"./assets/dev/js/mixins/DetermineFieldComponent.js\");\n\nfunction ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }\nfunction _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default()(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }\n\n\n\n/* harmony default export */ __webpack_exports__[\"default\"] = ({\n  name: \"wil-fields-group\",\n  mixins: [_mixins_ParseOption__WEBPACK_IMPORTED_MODULE_1__[\"ParseOption\"], _mixins_FieldsGroupHelper__WEBPACK_IMPORTED_MODULE_2__[\"FieldsGroupHelper\"], _mixins_DetermineFieldComponent__WEBPACK_IMPORTED_MODULE_3__[\"DetermineFieldComponent\"]],\n  components: {\n    WilEditor: function WilEditor() {\n      return Promise.all(/*! import() | WilEditor */[__webpack_require__.e(\"vendors~WilEditor\"), __webpack_require__.e(\"WilEditor\")]).then(__webpack_require__.bind(null, /*! ./../../dumbs/WilEditor.vue */ \"./assets/dev/js/components/dumbs/WilEditor.vue\"));\n    },\n    WilEventCalendar: function WilEventCalendar() {\n      return __webpack_require__.e(/*! import() | WilEventCalendar */ \"WilEventCalendar\").then(__webpack_require__.bind(null, /*! ./../../smart/Event/WilEventCalendar.vue */ \"./assets/dev/js/components/smart/Event/WilEventCalendar.vue\"));\n    },\n    WilSearchAddress: function WilSearchAddress() {\n      return Promise.all(/*! import() | WilSearchAddress */[__webpack_require__.e(\"vendors~WilSearchAddress~WilSearchFormList\"), __webpack_require__.e(\"WilSearchFormList\"), __webpack_require__.e(\"WilSearchAddress\")]).then(__webpack_require__.bind(null, /*! ./../../dumbs/WilSearchAddress.vue */ \"./assets/dev/js/components/dumbs/WilSearchAddress.vue\"));\n    },\n    WilBusinessHours: function WilBusinessHours() {\n      return Promise.all(/*! import() | WilBusinessHours */[__webpack_require__.e(0), __webpack_require__.e(2), __webpack_require__.e(\"vendors~WilBusinessHours\"), __webpack_require__.e(\"WilBusinessHours\")]).then(__webpack_require__.bind(null, /*! ./../../dumbs/WilBusinessHours.vue */ \"./assets/dev/js/components/dumbs/WilBusinessHours.vue\"));\n    },\n    WilUploader: function WilUploader() {\n      return Promise.all(/*! import() | WilUploader */[__webpack_require__.e(5), __webpack_require__.e(\"WilUploader\")]).then(__webpack_require__.bind(null, /*! ./../../dumbs/uploads/WilUploader.vue */ \"./assets/dev/js/components/dumbs/uploads/WilUploader.vue\"));\n    },\n    WilPickupAndSet: function WilPickupAndSet() {\n      return Promise.all(/*! import() | WilFieldsGroup */[__webpack_require__.e(4), __webpack_require__.e(\"WilFieldsGroup\")]).then(__webpack_require__.bind(null, /*! ./../../dumbs/WilPickupAndSet.vue */ \"./assets/dev/js/components/dumbs/WilPickupAndSet.vue\"));\n    },\n    WilPriceRange: function WilPriceRange() {\n      return __webpack_require__.e(/*! import() | WilPriceRange */ \"WilPriceRange\").then(__webpack_require__.bind(null, /*! ./../../dumbs/WilPriceRange.vue */ \"./assets/dev/js/components/dumbs/WilPriceRange.vue\"));\n    },\n    WilDateTime: function WilDateTime() {\n      return __webpack_require__.e(/*! import() | WilDateTime */ \"WilDateTime\").then(__webpack_require__.bind(null, /*! ./../../dumbs/WilDateTime.vue */ \"./assets/dev/js/components/dumbs/WilDateTime.vue\"));\n    },\n    WilGroup: function WilGroup() {\n      return __webpack_require__.e(/*! import() | WilGroup */ \"WilGroup\").then(__webpack_require__.bind(null, /*! ./../../dumbs/WilGroup.vue */ \"./assets/dev/js/components/dumbs/WilGroup.vue\"));\n    },\n    WilColorpicker: function WilColorpicker() {\n      return Promise.all(/*! import() | WilColorpicker */[__webpack_require__.e(\"vendors~WilColorpicker\"), __webpack_require__.e(\"WilColorpicker\")]).then(__webpack_require__.bind(null, /*! ./../../dumbs/WilColorpicker.vue */ \"./assets/dev/js/components/dumbs/WilColorpicker.vue\"));\n    },\n    WilDatepicker: function WilDatepicker() {\n      return Promise.all(/*! import() | WilDatepicker */[__webpack_require__.e(\"vendors~WilDateRange~WilDatepicker\"), __webpack_require__.e(1), __webpack_require__.e(\"WilDatepicker\")]).then(__webpack_require__.bind(null, /*! ./../../dumbs/WilDatepicker.vue */ \"./assets/dev/js/components/dumbs/WilDatepicker.vue\"));\n    },\n    WilMultipleCheckbox: function WilMultipleCheckbox() {\n      return __webpack_require__.e(/*! import() | WilMultipleCheckbox */ \"WilMultipleCheckbox\").then(__webpack_require__.bind(null, /*! ./../../dumbs/WilMultipleCheckbox.vue */ \"./assets/dev/js/components/dumbs/WilMultipleCheckbox.vue\"));\n    },\n    WilIcon: function WilIcon() {\n      return __webpack_require__.e(/*! import() | WilIcon */ \"WilIcon\").then(__webpack_require__.bind(null, /*! ./../../dumbs/WilIcon.vue */ \"./assets/dev/js/components/dumbs/WilIcon.vue\"));\n    },\n    WilInstafeedHub: function WilInstafeedHub() {\n      return __webpack_require__.e(/*! import() | WilInstafeedHub */ \"WilInstafeedHub\").then(__webpack_require__.bind(null, /*! ./../../dumbs/WilInstafeedHub.vue */ \"./assets/dev/js/components/dumbs/WilInstafeedHub.vue\"));\n    }\n  },\n  computed: {\n    model: {\n      get: function get() {\n        if (!this.value) {\n          return {};\n        }\n        return this.value;\n      },\n      set: function set(newVal) {\n        this.$emit(\"change\", newVal);\n      }\n    },\n    parseDesc: function parseDesc() {\n      if (this.settings.description && this.settings.description.length) {\n        return this.settings.description;\n      }\n      return \"\";\n    }\n  },\n  props: {\n    component: {\n      type: String,\n      \"default\": \"\"\n    },\n    settings: {\n      type: Object,\n      \"default\": function _default() {\n        return {};\n      }\n    },\n    postType: {\n      type: String,\n      \"default\": \"\"\n    },\n    wrapperClasses: {\n      type: String,\n      \"default\": \"content-box_body__3tSRB\"\n    },\n    wilFields: {\n      // To avoid conflicting with vee-validate\n      type: [Object, Array],\n      required: true,\n      \"default\": function _default() {\n        return {};\n      }\n    },\n    value: {\n      type: [Object, Array],\n      required: false,\n      \"default\": function _default() {}\n    }\n  },\n  mounted: function mounted() {\n    // console.log(this.value);\n  },\n  methods: {\n    handleFieldChange: function handleFieldChange(key) {\n      var _this = this;\n      return function (val) {\n        _this.model = _objectSpread(_objectSpread({}, _this.model), {}, _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_0___default()({}, key, val));\n      };\n    },\n    generateFieldKey: function generateFieldKey(index) {\n      return \"addlisting-field-\".concat(index);\n    }\n  }\n});\n\n//# sourceURL=webpack:///./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?./node_modules/babel-loader/lib!./node_modules/vue-loader/lib??vue-loader-options");

/***/ }),

/***/ "./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/lib/loaders/templateLoader.js?!./node_modules/vue-loader/lib/index.js?!./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?vue&type=template&id=34c010f6&":
/*!********************************************************************************************************************************************************************************************************************************************************!*\
  !*** ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!./node_modules/vue-loader/lib??vue-loader-options!./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?vue&type=template&id=34c010f6& ***!
  \********************************************************************************************************************************************************************************************************************************************************/
/*! exports provided: render, staticRenderFns */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"render\", function() { return render; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"staticRenderFns\", function() { return staticRenderFns; });\nvar render = function render() {\n  var _vm = this,\n    _c = _vm._self._c;\n  return _c(\"div\", {\n    \"class\": _vm.wrapperClasses\n  }, [_vm.parseDesc.length ? _c(\"p\", {\n    staticClass: \"wil-section-description\"\n  }, [_c(\"i\", {\n    domProps: {\n      innerHTML: _vm._s(_vm.parseDesc)\n    }\n  })]) : _vm._e(), _vm._v(\" \"), _vm._l(_vm.wilFields, function (field, index) {\n    return _c(\"div\", {\n      key: _vm.generateFieldKey(index),\n      \"class\": [\"mb-15\", \"wil-field-group\", \"wil-field-\".concat(field.key)]\n    }, [_vm.isEnable(field) ? _c(_vm.determineFieldComponent(field.type), _vm._g({\n      directives: [{\n        name: \"show\",\n        rawName: \"v-show\",\n        value: _vm.handleDependency(field),\n        expression: \"handleDependency(field)\"\n      }],\n      tag: \"component\",\n      attrs: {\n        value: _vm.getValue(field),\n        label: field.label,\n        description: field.description,\n        \"is-required\": _vm.isRequired(field),\n        settings: _vm.parseField(field),\n        mode: _vm.loadOptionMode(field),\n        placeholder: field.placeholder,\n        \"date-value-type\": field.dateValueType,\n        \"maximum-items\": _vm.parseMaximumItems(field),\n        \"search-url\": _vm.searchUrl(field),\n        \"select-value-format\": _vm.selectValueFormat(field),\n        \"wrapper-classes\": _vm.parseFieldClasses(field),\n        options: _vm.fieldOptions(field),\n        \"pickup-options\": field.pickupOptions,\n        \"add-item-btn-name\": field.addItemBtnName,\n        \"pickup-item-label\": field.pickupItemLabel,\n        module: \"addlisting\"\n      }\n    }, {\n      change: _vm.handleFieldChange(field.key, index)\n    })) : _vm._e()], 1);\n  })], 2);\n};\nvar staticRenderFns = [];\nrender._withStripped = true;\n\n\n//# sourceURL=webpack:///./assets/dev/js/components/smart/FieldsGroup/WilFieldsGroup.vue?./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!./node_modules/vue-loader/lib??vue-loader-options");

/***/ }),

/***/ "./node_modules/babel-loader/lib/index.js!./node_modules/vue-loader/lib/loaders/templateLoader.js?!./node_modules/vue-loader/lib/index.js?!./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?vue&type=template&id=0a01bba2&":
/*!********************************************************************************************************************************************************************************************************************************************************!*\
  !*** ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!./node_modules/vue-loader/lib??vue-loader-options!./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?vue&type=template&id=0a01bba2& ***!
  \********************************************************************************************************************************************************************************************************************************************************/
/*! exports provided: render, staticRenderFns */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"render\", function() { return render; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"staticRenderFns\", function() { return staticRenderFns; });\nvar render = function render() {\n  var _vm = this,\n    _c = _vm._self._c;\n  return _c(\"header\", {\n    \"class\": _vm.wrapperClasses\n  }, [_c(\"div\", {\n    \"class\": _vm.innerClasses\n  }, [_vm._t(\"before-header\", null, {\n    settings: _vm.settings\n  }), _vm._v(\" \"), _vm._t(\"header\", function () {\n    return [_c(\"h4\", {\n      \"class\": [\"content-box_title__1gBHS\", _vm.settings.isRequired && _vm.settings.isRequired === \"yes\" ? \"required\" : \"\"]\n    }, [_vm.icon ? _c(\"i\", {\n      \"class\": _vm.icon\n    }) : _vm._e(), _vm._v(\" \"), _c(\"span\", {\n      domProps: {\n        innerHTML: _vm._s(_vm.heading)\n      }\n    })])];\n  }, {\n    settings: _vm.settings,\n    heading: _vm.heading,\n    icon: _vm.icon,\n    description: _vm.description\n  }), _vm._v(\" \"), _vm._t(\"after-header\", null, {\n    settings: _vm.settings\n  })], 2)]);\n};\nvar staticRenderFns = [];\nrender._withStripped = true;\n\n\n//# sourceURL=webpack:///./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!./node_modules/vue-loader/lib??vue-loader-options");

/***/ }),

/***/ "./node_modules/vue-loader/lib/index.js?!./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?vue&type=script&lang=javascript&":
/*!**********************************************************************************************************************************************************!*\
  !*** ./node_modules/vue-loader/lib??vue-loader-options!./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?vue&type=script&lang=javascript& ***!
  \**********************************************************************************************************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n\n/* harmony default export */ __webpack_exports__[\"default\"] = ({\n  name: 'wil-header-group',\n  props: {\n    heading: {\n      type: String,\n      default: '',\n      required: false\n    },\n    icon: {\n      type: String,\n      default: '',\n      required: false\n    },\n    description: {\n      type: String,\n      default: '',\n      required: false\n    },\n    wrapperClasses: {\n      type: String,\n      default: 'content-box_header__xPnGx clearfix',\n      required: false\n    },\n    innerClasses: {\n      type: String,\n      default: 'wil-float-left',\n      required: false\n    },\n    settings: {\n      type: [ Object, Array ],\n      default: () => {},\n      required: false\n    }\n  }\n});\n\n\n//# sourceURL=webpack:///./assets/dev/js/components/smart/FieldsGroup/WilHeaderGroup.vue?./node_modules/vue-loader/lib??vue-loader-options");

/***/ }),

/***/ "./node_modules/vue-loader/lib/runtime/componentNormalizer.js":
/*!********************************************************************!*\
  !*** ./node_modules/vue-loader/lib/runtime/componentNormalizer.js ***!
  \********************************************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"default\", function() { return normalizeComponent; });\n/* globals __VUE_SSR_CONTEXT__ */\n\n// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).\n// This module is a runtime utility for cleaner component module output and will\n// be included in the final webpack user bundle.\n\nfunction normalizeComponent(\n  scriptExports,\n  render,\n  staticRenderFns,\n  functionalTemplate,\n  injectStyles,\n  scopeId,\n  moduleIdentifier /* server only */,\n  shadowMode /* vue-cli only */\n) {\n  // Vue.extend constructor export interop\n  var options =\n    typeof scriptExports === 'function' ? scriptExports.options : scriptExports\n\n  // render functions\n  if (render) {\n    options.render = render\n    options.staticRenderFns = staticRenderFns\n    options._compiled = true\n  }\n\n  // functional template\n  if (functionalTemplate) {\n    options.functional = true\n  }\n\n  // scopedId\n  if (scopeId) {\n    options._scopeId = 'data-v-' + scopeId\n  }\n\n  var hook\n  if (moduleIdentifier) {\n    // server build\n    hook = function (context) {\n      // 2.3 injection\n      context =\n        context || // cached call\n        (this.$vnode && this.$vnode.ssrContext) || // stateful\n        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional\n      // 2.2 with runInNewContext: true\n      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {\n        context = __VUE_SSR_CONTEXT__\n      }\n      // inject component styles\n      if (injectStyles) {\n        injectStyles.call(this, context)\n      }\n      // register component module identifier for async chunk inferrence\n      if (context && context._registeredComponents) {\n        context._registeredComponents.add(moduleIdentifier)\n      }\n    }\n    // used by ssr in case component is cached and beforeCreate\n    // never gets called\n    options._ssrRegister = hook\n  } else if (injectStyles) {\n    hook = shadowMode\n      ? function () {\n          injectStyles.call(\n            this,\n            (options.functional ? this.parent : this).$root.$options.shadowRoot\n          )\n        }\n      : injectStyles\n  }\n\n  if (hook) {\n    if (options.functional) {\n      // for template-only hot-reload because in that case the render fn doesn't\n      // go through the normalizer\n      options._injectStyles = hook\n      // register for functional component in vue file\n      var originalRender = options.render\n      options.render = function renderWithStyleInjection(h, context) {\n        hook.call(context)\n        return originalRender(h, context)\n      }\n    } else {\n      // inject component registration as beforeCreate hook\n      var existing = options.beforeCreate\n      options.beforeCreate = existing ? [].concat(existing, hook) : [hook]\n    }\n  }\n\n  return {\n    exports: scriptExports,\n    options: options\n  }\n}\n\n\n//# sourceURL=webpack:///./node_modules/vue-loader/lib/runtime/componentNormalizer.js?");

/***/ }),

/***/ "./node_modules/vuex/dist/vuex.esm.js":
/*!********************************************!*\
  !*** ./node_modules/vuex/dist/vuex.esm.js ***!
  \********************************************/
/*! exports provided: default, Store, createLogger, createNamespacedHelpers, install, mapActions, mapGetters, mapMutations, mapState */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* WEBPACK VAR INJECTION */(function(global) {/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"Store\", function() { return Store; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"createLogger\", function() { return createLogger; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"createNamespacedHelpers\", function() { return createNamespacedHelpers; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"install\", function() { return install; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"mapActions\", function() { return mapActions; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"mapGetters\", function() { return mapGetters; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"mapMutations\", function() { return mapMutations; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"mapState\", function() { return mapState; });\n/*!\n * vuex v3.6.2\n * (c) 2021 Evan You\n * @license MIT\n */\nfunction applyMixin (Vue) {\n  var version = Number(Vue.version.split('.')[0]);\n\n  if (version >= 2) {\n    Vue.mixin({ beforeCreate: vuexInit });\n  } else {\n    // override init and inject vuex init procedure\n    // for 1.x backwards compatibility.\n    var _init = Vue.prototype._init;\n    Vue.prototype._init = function (options) {\n      if ( options === void 0 ) options = {};\n\n      options.init = options.init\n        ? [vuexInit].concat(options.init)\n        : vuexInit;\n      _init.call(this, options);\n    };\n  }\n\n  /**\n   * Vuex init hook, injected into each instances init hooks list.\n   */\n\n  function vuexInit () {\n    var options = this.$options;\n    // store injection\n    if (options.store) {\n      this.$store = typeof options.store === 'function'\n        ? options.store()\n        : options.store;\n    } else if (options.parent && options.parent.$store) {\n      this.$store = options.parent.$store;\n    }\n  }\n}\n\nvar target = typeof window !== 'undefined'\n  ? window\n  : typeof global !== 'undefined'\n    ? global\n    : {};\nvar devtoolHook = target.__VUE_DEVTOOLS_GLOBAL_HOOK__;\n\nfunction devtoolPlugin (store) {\n  if (!devtoolHook) { return }\n\n  store._devtoolHook = devtoolHook;\n\n  devtoolHook.emit('vuex:init', store);\n\n  devtoolHook.on('vuex:travel-to-state', function (targetState) {\n    store.replaceState(targetState);\n  });\n\n  store.subscribe(function (mutation, state) {\n    devtoolHook.emit('vuex:mutation', mutation, state);\n  }, { prepend: true });\n\n  store.subscribeAction(function (action, state) {\n    devtoolHook.emit('vuex:action', action, state);\n  }, { prepend: true });\n}\n\n/**\n * Get the first item that pass the test\n * by second argument function\n *\n * @param {Array} list\n * @param {Function} f\n * @return {*}\n */\nfunction find (list, f) {\n  return list.filter(f)[0]\n}\n\n/**\n * Deep copy the given object considering circular structure.\n * This function caches all nested objects and its copies.\n * If it detects circular structure, use cached copy to avoid infinite loop.\n *\n * @param {*} obj\n * @param {Array<Object>} cache\n * @return {*}\n */\nfunction deepCopy (obj, cache) {\n  if ( cache === void 0 ) cache = [];\n\n  // just return if obj is immutable value\n  if (obj === null || typeof obj !== 'object') {\n    return obj\n  }\n\n  // if obj is hit, it is in circular structure\n  var hit = find(cache, function (c) { return c.original === obj; });\n  if (hit) {\n    return hit.copy\n  }\n\n  var copy = Array.isArray(obj) ? [] : {};\n  // put the copy into cache at first\n  // because we want to refer it in recursive deepCopy\n  cache.push({\n    original: obj,\n    copy: copy\n  });\n\n  Object.keys(obj).forEach(function (key) {\n    copy[key] = deepCopy(obj[key], cache);\n  });\n\n  return copy\n}\n\n/**\n * forEach for object\n */\nfunction forEachValue (obj, fn) {\n  Object.keys(obj).forEach(function (key) { return fn(obj[key], key); });\n}\n\nfunction isObject (obj) {\n  return obj !== null && typeof obj === 'object'\n}\n\nfunction isPromise (val) {\n  return val && typeof val.then === 'function'\n}\n\nfunction assert (condition, msg) {\n  if (!condition) { throw new Error((\"[vuex] \" + msg)) }\n}\n\nfunction partial (fn, arg) {\n  return function () {\n    return fn(arg)\n  }\n}\n\n// Base data struct for store's module, package with some attribute and method\nvar Module = function Module (rawModule, runtime) {\n  this.runtime = runtime;\n  // Store some children item\n  this._children = Object.create(null);\n  // Store the origin module object which passed by programmer\n  this._rawModule = rawModule;\n  var rawState = rawModule.state;\n\n  // Store the origin module's state\n  this.state = (typeof rawState === 'function' ? rawState() : rawState) || {};\n};\n\nvar prototypeAccessors = { namespaced: { configurable: true } };\n\nprototypeAccessors.namespaced.get = function () {\n  return !!this._rawModule.namespaced\n};\n\nModule.prototype.addChild = function addChild (key, module) {\n  this._children[key] = module;\n};\n\nModule.prototype.removeChild = function removeChild (key) {\n  delete this._children[key];\n};\n\nModule.prototype.getChild = function getChild (key) {\n  return this._children[key]\n};\n\nModule.prototype.hasChild = function hasChild (key) {\n  return key in this._children\n};\n\nModule.prototype.update = function update (rawModule) {\n  this._rawModule.namespaced = rawModule.namespaced;\n  if (rawModule.actions) {\n    this._rawModule.actions = rawModule.actions;\n  }\n  if (rawModule.mutations) {\n    this._rawModule.mutations = rawModule.mutations;\n  }\n  if (rawModule.getters) {\n    this._rawModule.getters = rawModule.getters;\n  }\n};\n\nModule.prototype.forEachChild = function forEachChild (fn) {\n  forEachValue(this._children, fn);\n};\n\nModule.prototype.forEachGetter = function forEachGetter (fn) {\n  if (this._rawModule.getters) {\n    forEachValue(this._rawModule.getters, fn);\n  }\n};\n\nModule.prototype.forEachAction = function forEachAction (fn) {\n  if (this._rawModule.actions) {\n    forEachValue(this._rawModule.actions, fn);\n  }\n};\n\nModule.prototype.forEachMutation = function forEachMutation (fn) {\n  if (this._rawModule.mutations) {\n    forEachValue(this._rawModule.mutations, fn);\n  }\n};\n\nObject.defineProperties( Module.prototype, prototypeAccessors );\n\nvar ModuleCollection = function ModuleCollection (rawRootModule) {\n  // register root module (Vuex.Store options)\n  this.register([], rawRootModule, false);\n};\n\nModuleCollection.prototype.get = function get (path) {\n  return path.reduce(function (module, key) {\n    return module.getChild(key)\n  }, this.root)\n};\n\nModuleCollection.prototype.getNamespace = function getNamespace (path) {\n  var module = this.root;\n  return path.reduce(function (namespace, key) {\n    module = module.getChild(key);\n    return namespace + (module.namespaced ? key + '/' : '')\n  }, '')\n};\n\nModuleCollection.prototype.update = function update$1 (rawRootModule) {\n  update([], this.root, rawRootModule);\n};\n\nModuleCollection.prototype.register = function register (path, rawModule, runtime) {\n    var this$1 = this;\n    if ( runtime === void 0 ) runtime = true;\n\n  if ((true)) {\n    assertRawModule(path, rawModule);\n  }\n\n  var newModule = new Module(rawModule, runtime);\n  if (path.length === 0) {\n    this.root = newModule;\n  } else {\n    var parent = this.get(path.slice(0, -1));\n    parent.addChild(path[path.length - 1], newModule);\n  }\n\n  // register nested modules\n  if (rawModule.modules) {\n    forEachValue(rawModule.modules, function (rawChildModule, key) {\n      this$1.register(path.concat(key), rawChildModule, runtime);\n    });\n  }\n};\n\nModuleCollection.prototype.unregister = function unregister (path) {\n  var parent = this.get(path.slice(0, -1));\n  var key = path[path.length - 1];\n  var child = parent.getChild(key);\n\n  if (!child) {\n    if ((true)) {\n      console.warn(\n        \"[vuex] trying to unregister module '\" + key + \"', which is \" +\n        \"not registered\"\n      );\n    }\n    return\n  }\n\n  if (!child.runtime) {\n    return\n  }\n\n  parent.removeChild(key);\n};\n\nModuleCollection.prototype.isRegistered = function isRegistered (path) {\n  var parent = this.get(path.slice(0, -1));\n  var key = path[path.length - 1];\n\n  if (parent) {\n    return parent.hasChild(key)\n  }\n\n  return false\n};\n\nfunction update (path, targetModule, newModule) {\n  if ((true)) {\n    assertRawModule(path, newModule);\n  }\n\n  // update target module\n  targetModule.update(newModule);\n\n  // update nested modules\n  if (newModule.modules) {\n    for (var key in newModule.modules) {\n      if (!targetModule.getChild(key)) {\n        if ((true)) {\n          console.warn(\n            \"[vuex] trying to add a new module '\" + key + \"' on hot reloading, \" +\n            'manual reload is needed'\n          );\n        }\n        return\n      }\n      update(\n        path.concat(key),\n        targetModule.getChild(key),\n        newModule.modules[key]\n      );\n    }\n  }\n}\n\nvar functionAssert = {\n  assert: function (value) { return typeof value === 'function'; },\n  expected: 'function'\n};\n\nvar objectAssert = {\n  assert: function (value) { return typeof value === 'function' ||\n    (typeof value === 'object' && typeof value.handler === 'function'); },\n  expected: 'function or object with \"handler\" function'\n};\n\nvar assertTypes = {\n  getters: functionAssert,\n  mutations: functionAssert,\n  actions: objectAssert\n};\n\nfunction assertRawModule (path, rawModule) {\n  Object.keys(assertTypes).forEach(function (key) {\n    if (!rawModule[key]) { return }\n\n    var assertOptions = assertTypes[key];\n\n    forEachValue(rawModule[key], function (value, type) {\n      assert(\n        assertOptions.assert(value),\n        makeAssertionMessage(path, key, type, value, assertOptions.expected)\n      );\n    });\n  });\n}\n\nfunction makeAssertionMessage (path, key, type, value, expected) {\n  var buf = key + \" should be \" + expected + \" but \\\"\" + key + \".\" + type + \"\\\"\";\n  if (path.length > 0) {\n    buf += \" in module \\\"\" + (path.join('.')) + \"\\\"\";\n  }\n  buf += \" is \" + (JSON.stringify(value)) + \".\";\n  return buf\n}\n\nvar Vue; // bind on install\n\nvar Store = function Store (options) {\n  var this$1 = this;\n  if ( options === void 0 ) options = {};\n\n  // Auto install if it is not done yet and `window` has `Vue`.\n  // To allow users to avoid auto-installation in some cases,\n  // this code should be placed here. See #731\n  if (!Vue && typeof window !== 'undefined' && window.Vue) {\n    install(window.Vue);\n  }\n\n  if ((true)) {\n    assert(Vue, \"must call Vue.use(Vuex) before creating a store instance.\");\n    assert(typeof Promise !== 'undefined', \"vuex requires a Promise polyfill in this browser.\");\n    assert(this instanceof Store, \"store must be called with the new operator.\");\n  }\n\n  var plugins = options.plugins; if ( plugins === void 0 ) plugins = [];\n  var strict = options.strict; if ( strict === void 0 ) strict = false;\n\n  // store internal state\n  this._committing = false;\n  this._actions = Object.create(null);\n  this._actionSubscribers = [];\n  this._mutations = Object.create(null);\n  this._wrappedGetters = Object.create(null);\n  this._modules = new ModuleCollection(options);\n  this._modulesNamespaceMap = Object.create(null);\n  this._subscribers = [];\n  this._watcherVM = new Vue();\n  this._makeLocalGettersCache = Object.create(null);\n\n  // bind commit and dispatch to self\n  var store = this;\n  var ref = this;\n  var dispatch = ref.dispatch;\n  var commit = ref.commit;\n  this.dispatch = function boundDispatch (type, payload) {\n    return dispatch.call(store, type, payload)\n  };\n  this.commit = function boundCommit (type, payload, options) {\n    return commit.call(store, type, payload, options)\n  };\n\n  // strict mode\n  this.strict = strict;\n\n  var state = this._modules.root.state;\n\n  // init root module.\n  // this also recursively registers all sub-modules\n  // and collects all module getters inside this._wrappedGetters\n  installModule(this, state, [], this._modules.root);\n\n  // initialize the store vm, which is responsible for the reactivity\n  // (also registers _wrappedGetters as computed properties)\n  resetStoreVM(this, state);\n\n  // apply plugins\n  plugins.forEach(function (plugin) { return plugin(this$1); });\n\n  var useDevtools = options.devtools !== undefined ? options.devtools : Vue.config.devtools;\n  if (useDevtools) {\n    devtoolPlugin(this);\n  }\n};\n\nvar prototypeAccessors$1 = { state: { configurable: true } };\n\nprototypeAccessors$1.state.get = function () {\n  return this._vm._data.$$state\n};\n\nprototypeAccessors$1.state.set = function (v) {\n  if ((true)) {\n    assert(false, \"use store.replaceState() to explicit replace store state.\");\n  }\n};\n\nStore.prototype.commit = function commit (_type, _payload, _options) {\n    var this$1 = this;\n\n  // check object-style commit\n  var ref = unifyObjectStyle(_type, _payload, _options);\n    var type = ref.type;\n    var payload = ref.payload;\n    var options = ref.options;\n\n  var mutation = { type: type, payload: payload };\n  var entry = this._mutations[type];\n  if (!entry) {\n    if ((true)) {\n      console.error((\"[vuex] unknown mutation type: \" + type));\n    }\n    return\n  }\n  this._withCommit(function () {\n    entry.forEach(function commitIterator (handler) {\n      handler(payload);\n    });\n  });\n\n  this._subscribers\n    .slice() // shallow copy to prevent iterator invalidation if subscriber synchronously calls unsubscribe\n    .forEach(function (sub) { return sub(mutation, this$1.state); });\n\n  if (\n    ( true) &&\n    options && options.silent\n  ) {\n    console.warn(\n      \"[vuex] mutation type: \" + type + \". Silent option has been removed. \" +\n      'Use the filter functionality in the vue-devtools'\n    );\n  }\n};\n\nStore.prototype.dispatch = function dispatch (_type, _payload) {\n    var this$1 = this;\n\n  // check object-style dispatch\n  var ref = unifyObjectStyle(_type, _payload);\n    var type = ref.type;\n    var payload = ref.payload;\n\n  var action = { type: type, payload: payload };\n  var entry = this._actions[type];\n  if (!entry) {\n    if ((true)) {\n      console.error((\"[vuex] unknown action type: \" + type));\n    }\n    return\n  }\n\n  try {\n    this._actionSubscribers\n      .slice() // shallow copy to prevent iterator invalidation if subscriber synchronously calls unsubscribe\n      .filter(function (sub) { return sub.before; })\n      .forEach(function (sub) { return sub.before(action, this$1.state); });\n  } catch (e) {\n    if ((true)) {\n      console.warn(\"[vuex] error in before action subscribers: \");\n      console.error(e);\n    }\n  }\n\n  var result = entry.length > 1\n    ? Promise.all(entry.map(function (handler) { return handler(payload); }))\n    : entry[0](payload);\n\n  return new Promise(function (resolve, reject) {\n    result.then(function (res) {\n      try {\n        this$1._actionSubscribers\n          .filter(function (sub) { return sub.after; })\n          .forEach(function (sub) { return sub.after(action, this$1.state); });\n      } catch (e) {\n        if ((true)) {\n          console.warn(\"[vuex] error in after action subscribers: \");\n          console.error(e);\n        }\n      }\n      resolve(res);\n    }, function (error) {\n      try {\n        this$1._actionSubscribers\n          .filter(function (sub) { return sub.error; })\n          .forEach(function (sub) { return sub.error(action, this$1.state, error); });\n      } catch (e) {\n        if ((true)) {\n          console.warn(\"[vuex] error in error action subscribers: \");\n          console.error(e);\n        }\n      }\n      reject(error);\n    });\n  })\n};\n\nStore.prototype.subscribe = function subscribe (fn, options) {\n  return genericSubscribe(fn, this._subscribers, options)\n};\n\nStore.prototype.subscribeAction = function subscribeAction (fn, options) {\n  var subs = typeof fn === 'function' ? { before: fn } : fn;\n  return genericSubscribe(subs, this._actionSubscribers, options)\n};\n\nStore.prototype.watch = function watch (getter, cb, options) {\n    var this$1 = this;\n\n  if ((true)) {\n    assert(typeof getter === 'function', \"store.watch only accepts a function.\");\n  }\n  return this._watcherVM.$watch(function () { return getter(this$1.state, this$1.getters); }, cb, options)\n};\n\nStore.prototype.replaceState = function replaceState (state) {\n    var this$1 = this;\n\n  this._withCommit(function () {\n    this$1._vm._data.$$state = state;\n  });\n};\n\nStore.prototype.registerModule = function registerModule (path, rawModule, options) {\n    if ( options === void 0 ) options = {};\n\n  if (typeof path === 'string') { path = [path]; }\n\n  if ((true)) {\n    assert(Array.isArray(path), \"module path must be a string or an Array.\");\n    assert(path.length > 0, 'cannot register the root module by using registerModule.');\n  }\n\n  this._modules.register(path, rawModule);\n  installModule(this, this.state, path, this._modules.get(path), options.preserveState);\n  // reset store to update getters...\n  resetStoreVM(this, this.state);\n};\n\nStore.prototype.unregisterModule = function unregisterModule (path) {\n    var this$1 = this;\n\n  if (typeof path === 'string') { path = [path]; }\n\n  if ((true)) {\n    assert(Array.isArray(path), \"module path must be a string or an Array.\");\n  }\n\n  this._modules.unregister(path);\n  this._withCommit(function () {\n    var parentState = getNestedState(this$1.state, path.slice(0, -1));\n    Vue.delete(parentState, path[path.length - 1]);\n  });\n  resetStore(this);\n};\n\nStore.prototype.hasModule = function hasModule (path) {\n  if (typeof path === 'string') { path = [path]; }\n\n  if ((true)) {\n    assert(Array.isArray(path), \"module path must be a string or an Array.\");\n  }\n\n  return this._modules.isRegistered(path)\n};\n\nStore.prototype.hotUpdate = function hotUpdate (newOptions) {\n  this._modules.update(newOptions);\n  resetStore(this, true);\n};\n\nStore.prototype._withCommit = function _withCommit (fn) {\n  var committing = this._committing;\n  this._committing = true;\n  fn();\n  this._committing = committing;\n};\n\nObject.defineProperties( Store.prototype, prototypeAccessors$1 );\n\nfunction genericSubscribe (fn, subs, options) {\n  if (subs.indexOf(fn) < 0) {\n    options && options.prepend\n      ? subs.unshift(fn)\n      : subs.push(fn);\n  }\n  return function () {\n    var i = subs.indexOf(fn);\n    if (i > -1) {\n      subs.splice(i, 1);\n    }\n  }\n}\n\nfunction resetStore (store, hot) {\n  store._actions = Object.create(null);\n  store._mutations = Object.create(null);\n  store._wrappedGetters = Object.create(null);\n  store._modulesNamespaceMap = Object.create(null);\n  var state = store.state;\n  // init all modules\n  installModule(store, state, [], store._modules.root, true);\n  // reset vm\n  resetStoreVM(store, state, hot);\n}\n\nfunction resetStoreVM (store, state, hot) {\n  var oldVm = store._vm;\n\n  // bind store public getters\n  store.getters = {};\n  // reset local getters cache\n  store._makeLocalGettersCache = Object.create(null);\n  var wrappedGetters = store._wrappedGetters;\n  var computed = {};\n  forEachValue(wrappedGetters, function (fn, key) {\n    // use computed to leverage its lazy-caching mechanism\n    // direct inline function use will lead to closure preserving oldVm.\n    // using partial to return function with only arguments preserved in closure environment.\n    computed[key] = partial(fn, store);\n    Object.defineProperty(store.getters, key, {\n      get: function () { return store._vm[key]; },\n      enumerable: true // for local getters\n    });\n  });\n\n  // use a Vue instance to store the state tree\n  // suppress warnings just in case the user has added\n  // some funky global mixins\n  var silent = Vue.config.silent;\n  Vue.config.silent = true;\n  store._vm = new Vue({\n    data: {\n      $$state: state\n    },\n    computed: computed\n  });\n  Vue.config.silent = silent;\n\n  // enable strict mode for new vm\n  if (store.strict) {\n    enableStrictMode(store);\n  }\n\n  if (oldVm) {\n    if (hot) {\n      // dispatch changes in all subscribed watchers\n      // to force getter re-evaluation for hot reloading.\n      store._withCommit(function () {\n        oldVm._data.$$state = null;\n      });\n    }\n    Vue.nextTick(function () { return oldVm.$destroy(); });\n  }\n}\n\nfunction installModule (store, rootState, path, module, hot) {\n  var isRoot = !path.length;\n  var namespace = store._modules.getNamespace(path);\n\n  // register in namespace map\n  if (module.namespaced) {\n    if (store._modulesNamespaceMap[namespace] && (\"development\" !== 'production')) {\n      console.error((\"[vuex] duplicate namespace \" + namespace + \" for the namespaced module \" + (path.join('/'))));\n    }\n    store._modulesNamespaceMap[namespace] = module;\n  }\n\n  // set state\n  if (!isRoot && !hot) {\n    var parentState = getNestedState(rootState, path.slice(0, -1));\n    var moduleName = path[path.length - 1];\n    store._withCommit(function () {\n      if ((true)) {\n        if (moduleName in parentState) {\n          console.warn(\n            (\"[vuex] state field \\\"\" + moduleName + \"\\\" was overridden by a module with the same name at \\\"\" + (path.join('.')) + \"\\\"\")\n          );\n        }\n      }\n      Vue.set(parentState, moduleName, module.state);\n    });\n  }\n\n  var local = module.context = makeLocalContext(store, namespace, path);\n\n  module.forEachMutation(function (mutation, key) {\n    var namespacedType = namespace + key;\n    registerMutation(store, namespacedType, mutation, local);\n  });\n\n  module.forEachAction(function (action, key) {\n    var type = action.root ? key : namespace + key;\n    var handler = action.handler || action;\n    registerAction(store, type, handler, local);\n  });\n\n  module.forEachGetter(function (getter, key) {\n    var namespacedType = namespace + key;\n    registerGetter(store, namespacedType, getter, local);\n  });\n\n  module.forEachChild(function (child, key) {\n    installModule(store, rootState, path.concat(key), child, hot);\n  });\n}\n\n/**\n * make localized dispatch, commit, getters and state\n * if there is no namespace, just use root ones\n */\nfunction makeLocalContext (store, namespace, path) {\n  var noNamespace = namespace === '';\n\n  var local = {\n    dispatch: noNamespace ? store.dispatch : function (_type, _payload, _options) {\n      var args = unifyObjectStyle(_type, _payload, _options);\n      var payload = args.payload;\n      var options = args.options;\n      var type = args.type;\n\n      if (!options || !options.root) {\n        type = namespace + type;\n        if (( true) && !store._actions[type]) {\n          console.error((\"[vuex] unknown local action type: \" + (args.type) + \", global type: \" + type));\n          return\n        }\n      }\n\n      return store.dispatch(type, payload)\n    },\n\n    commit: noNamespace ? store.commit : function (_type, _payload, _options) {\n      var args = unifyObjectStyle(_type, _payload, _options);\n      var payload = args.payload;\n      var options = args.options;\n      var type = args.type;\n\n      if (!options || !options.root) {\n        type = namespace + type;\n        if (( true) && !store._mutations[type]) {\n          console.error((\"[vuex] unknown local mutation type: \" + (args.type) + \", global type: \" + type));\n          return\n        }\n      }\n\n      store.commit(type, payload, options);\n    }\n  };\n\n  // getters and state object must be gotten lazily\n  // because they will be changed by vm update\n  Object.defineProperties(local, {\n    getters: {\n      get: noNamespace\n        ? function () { return store.getters; }\n        : function () { return makeLocalGetters(store, namespace); }\n    },\n    state: {\n      get: function () { return getNestedState(store.state, path); }\n    }\n  });\n\n  return local\n}\n\nfunction makeLocalGetters (store, namespace) {\n  if (!store._makeLocalGettersCache[namespace]) {\n    var gettersProxy = {};\n    var splitPos = namespace.length;\n    Object.keys(store.getters).forEach(function (type) {\n      // skip if the target getter is not match this namespace\n      if (type.slice(0, splitPos) !== namespace) { return }\n\n      // extract local getter type\n      var localType = type.slice(splitPos);\n\n      // Add a port to the getters proxy.\n      // Define as getter property because\n      // we do not want to evaluate the getters in this time.\n      Object.defineProperty(gettersProxy, localType, {\n        get: function () { return store.getters[type]; },\n        enumerable: true\n      });\n    });\n    store._makeLocalGettersCache[namespace] = gettersProxy;\n  }\n\n  return store._makeLocalGettersCache[namespace]\n}\n\nfunction registerMutation (store, type, handler, local) {\n  var entry = store._mutations[type] || (store._mutations[type] = []);\n  entry.push(function wrappedMutationHandler (payload) {\n    handler.call(store, local.state, payload);\n  });\n}\n\nfunction registerAction (store, type, handler, local) {\n  var entry = store._actions[type] || (store._actions[type] = []);\n  entry.push(function wrappedActionHandler (payload) {\n    var res = handler.call(store, {\n      dispatch: local.dispatch,\n      commit: local.commit,\n      getters: local.getters,\n      state: local.state,\n      rootGetters: store.getters,\n      rootState: store.state\n    }, payload);\n    if (!isPromise(res)) {\n      res = Promise.resolve(res);\n    }\n    if (store._devtoolHook) {\n      return res.catch(function (err) {\n        store._devtoolHook.emit('vuex:error', err);\n        throw err\n      })\n    } else {\n      return res\n    }\n  });\n}\n\nfunction registerGetter (store, type, rawGetter, local) {\n  if (store._wrappedGetters[type]) {\n    if ((true)) {\n      console.error((\"[vuex] duplicate getter key: \" + type));\n    }\n    return\n  }\n  store._wrappedGetters[type] = function wrappedGetter (store) {\n    return rawGetter(\n      local.state, // local state\n      local.getters, // local getters\n      store.state, // root state\n      store.getters // root getters\n    )\n  };\n}\n\nfunction enableStrictMode (store) {\n  store._vm.$watch(function () { return this._data.$$state }, function () {\n    if ((true)) {\n      assert(store._committing, \"do not mutate vuex store state outside mutation handlers.\");\n    }\n  }, { deep: true, sync: true });\n}\n\nfunction getNestedState (state, path) {\n  return path.reduce(function (state, key) { return state[key]; }, state)\n}\n\nfunction unifyObjectStyle (type, payload, options) {\n  if (isObject(type) && type.type) {\n    options = payload;\n    payload = type;\n    type = type.type;\n  }\n\n  if ((true)) {\n    assert(typeof type === 'string', (\"expects string as the type, but found \" + (typeof type) + \".\"));\n  }\n\n  return { type: type, payload: payload, options: options }\n}\n\nfunction install (_Vue) {\n  if (Vue && _Vue === Vue) {\n    if ((true)) {\n      console.error(\n        '[vuex] already installed. Vue.use(Vuex) should be called only once.'\n      );\n    }\n    return\n  }\n  Vue = _Vue;\n  applyMixin(Vue);\n}\n\n/**\n * Reduce the code which written in Vue.js for getting the state.\n * @param {String} [namespace] - Module's namespace\n * @param {Object|Array} states # Object's item can be a function which accept state and getters for param, you can do something for state and getters in it.\n * @param {Object}\n */\nvar mapState = normalizeNamespace(function (namespace, states) {\n  var res = {};\n  if (( true) && !isValidMap(states)) {\n    console.error('[vuex] mapState: mapper parameter must be either an Array or an Object');\n  }\n  normalizeMap(states).forEach(function (ref) {\n    var key = ref.key;\n    var val = ref.val;\n\n    res[key] = function mappedState () {\n      var state = this.$store.state;\n      var getters = this.$store.getters;\n      if (namespace) {\n        var module = getModuleByNamespace(this.$store, 'mapState', namespace);\n        if (!module) {\n          return\n        }\n        state = module.context.state;\n        getters = module.context.getters;\n      }\n      return typeof val === 'function'\n        ? val.call(this, state, getters)\n        : state[val]\n    };\n    // mark vuex getter for devtools\n    res[key].vuex = true;\n  });\n  return res\n});\n\n/**\n * Reduce the code which written in Vue.js for committing the mutation\n * @param {String} [namespace] - Module's namespace\n * @param {Object|Array} mutations # Object's item can be a function which accept `commit` function as the first param, it can accept another params. You can commit mutation and do any other things in this function. specially, You need to pass anthor params from the mapped function.\n * @return {Object}\n */\nvar mapMutations = normalizeNamespace(function (namespace, mutations) {\n  var res = {};\n  if (( true) && !isValidMap(mutations)) {\n    console.error('[vuex] mapMutations: mapper parameter must be either an Array or an Object');\n  }\n  normalizeMap(mutations).forEach(function (ref) {\n    var key = ref.key;\n    var val = ref.val;\n\n    res[key] = function mappedMutation () {\n      var args = [], len = arguments.length;\n      while ( len-- ) args[ len ] = arguments[ len ];\n\n      // Get the commit method from store\n      var commit = this.$store.commit;\n      if (namespace) {\n        var module = getModuleByNamespace(this.$store, 'mapMutations', namespace);\n        if (!module) {\n          return\n        }\n        commit = module.context.commit;\n      }\n      return typeof val === 'function'\n        ? val.apply(this, [commit].concat(args))\n        : commit.apply(this.$store, [val].concat(args))\n    };\n  });\n  return res\n});\n\n/**\n * Reduce the code which written in Vue.js for getting the getters\n * @param {String} [namespace] - Module's namespace\n * @param {Object|Array} getters\n * @return {Object}\n */\nvar mapGetters = normalizeNamespace(function (namespace, getters) {\n  var res = {};\n  if (( true) && !isValidMap(getters)) {\n    console.error('[vuex] mapGetters: mapper parameter must be either an Array or an Object');\n  }\n  normalizeMap(getters).forEach(function (ref) {\n    var key = ref.key;\n    var val = ref.val;\n\n    // The namespace has been mutated by normalizeNamespace\n    val = namespace + val;\n    res[key] = function mappedGetter () {\n      if (namespace && !getModuleByNamespace(this.$store, 'mapGetters', namespace)) {\n        return\n      }\n      if (( true) && !(val in this.$store.getters)) {\n        console.error((\"[vuex] unknown getter: \" + val));\n        return\n      }\n      return this.$store.getters[val]\n    };\n    // mark vuex getter for devtools\n    res[key].vuex = true;\n  });\n  return res\n});\n\n/**\n * Reduce the code which written in Vue.js for dispatch the action\n * @param {String} [namespace] - Module's namespace\n * @param {Object|Array} actions # Object's item can be a function which accept `dispatch` function as the first param, it can accept anthor params. You can dispatch action and do any other things in this function. specially, You need to pass anthor params from the mapped function.\n * @return {Object}\n */\nvar mapActions = normalizeNamespace(function (namespace, actions) {\n  var res = {};\n  if (( true) && !isValidMap(actions)) {\n    console.error('[vuex] mapActions: mapper parameter must be either an Array or an Object');\n  }\n  normalizeMap(actions).forEach(function (ref) {\n    var key = ref.key;\n    var val = ref.val;\n\n    res[key] = function mappedAction () {\n      var args = [], len = arguments.length;\n      while ( len-- ) args[ len ] = arguments[ len ];\n\n      // get dispatch function from store\n      var dispatch = this.$store.dispatch;\n      if (namespace) {\n        var module = getModuleByNamespace(this.$store, 'mapActions', namespace);\n        if (!module) {\n          return\n        }\n        dispatch = module.context.dispatch;\n      }\n      return typeof val === 'function'\n        ? val.apply(this, [dispatch].concat(args))\n        : dispatch.apply(this.$store, [val].concat(args))\n    };\n  });\n  return res\n});\n\n/**\n * Rebinding namespace param for mapXXX function in special scoped, and return them by simple object\n * @param {String} namespace\n * @return {Object}\n */\nvar createNamespacedHelpers = function (namespace) { return ({\n  mapState: mapState.bind(null, namespace),\n  mapGetters: mapGetters.bind(null, namespace),\n  mapMutations: mapMutations.bind(null, namespace),\n  mapActions: mapActions.bind(null, namespace)\n}); };\n\n/**\n * Normalize the map\n * normalizeMap([1, 2, 3]) => [ { key: 1, val: 1 }, { key: 2, val: 2 }, { key: 3, val: 3 } ]\n * normalizeMap({a: 1, b: 2, c: 3}) => [ { key: 'a', val: 1 }, { key: 'b', val: 2 }, { key: 'c', val: 3 } ]\n * @param {Array|Object} map\n * @return {Object}\n */\nfunction normalizeMap (map) {\n  if (!isValidMap(map)) {\n    return []\n  }\n  return Array.isArray(map)\n    ? map.map(function (key) { return ({ key: key, val: key }); })\n    : Object.keys(map).map(function (key) { return ({ key: key, val: map[key] }); })\n}\n\n/**\n * Validate whether given map is valid or not\n * @param {*} map\n * @return {Boolean}\n */\nfunction isValidMap (map) {\n  return Array.isArray(map) || isObject(map)\n}\n\n/**\n * Return a function expect two param contains namespace and map. it will normalize the namespace and then the param's function will handle the new namespace and the map.\n * @param {Function} fn\n * @return {Function}\n */\nfunction normalizeNamespace (fn) {\n  return function (namespace, map) {\n    if (typeof namespace !== 'string') {\n      map = namespace;\n      namespace = '';\n    } else if (namespace.charAt(namespace.length - 1) !== '/') {\n      namespace += '/';\n    }\n    return fn(namespace, map)\n  }\n}\n\n/**\n * Search a special module from store by namespace. if module not exist, print error message.\n * @param {Object} store\n * @param {String} helper\n * @param {String} namespace\n * @return {Object}\n */\nfunction getModuleByNamespace (store, helper, namespace) {\n  var module = store._modulesNamespaceMap[namespace];\n  if (( true) && !module) {\n    console.error((\"[vuex] module namespace not found in \" + helper + \"(): \" + namespace));\n  }\n  return module\n}\n\n// Credits: borrowed code from fcomb/redux-logger\n\nfunction createLogger (ref) {\n  if ( ref === void 0 ) ref = {};\n  var collapsed = ref.collapsed; if ( collapsed === void 0 ) collapsed = true;\n  var filter = ref.filter; if ( filter === void 0 ) filter = function (mutation, stateBefore, stateAfter) { return true; };\n  var transformer = ref.transformer; if ( transformer === void 0 ) transformer = function (state) { return state; };\n  var mutationTransformer = ref.mutationTransformer; if ( mutationTransformer === void 0 ) mutationTransformer = function (mut) { return mut; };\n  var actionFilter = ref.actionFilter; if ( actionFilter === void 0 ) actionFilter = function (action, state) { return true; };\n  var actionTransformer = ref.actionTransformer; if ( actionTransformer === void 0 ) actionTransformer = function (act) { return act; };\n  var logMutations = ref.logMutations; if ( logMutations === void 0 ) logMutations = true;\n  var logActions = ref.logActions; if ( logActions === void 0 ) logActions = true;\n  var logger = ref.logger; if ( logger === void 0 ) logger = console;\n\n  return function (store) {\n    var prevState = deepCopy(store.state);\n\n    if (typeof logger === 'undefined') {\n      return\n    }\n\n    if (logMutations) {\n      store.subscribe(function (mutation, state) {\n        var nextState = deepCopy(state);\n\n        if (filter(mutation, prevState, nextState)) {\n          var formattedTime = getFormattedTime();\n          var formattedMutation = mutationTransformer(mutation);\n          var message = \"mutation \" + (mutation.type) + formattedTime;\n\n          startMessage(logger, message, collapsed);\n          logger.log('%c prev state', 'color: #9E9E9E; font-weight: bold', transformer(prevState));\n          logger.log('%c mutation', 'color: #03A9F4; font-weight: bold', formattedMutation);\n          logger.log('%c next state', 'color: #4CAF50; font-weight: bold', transformer(nextState));\n          endMessage(logger);\n        }\n\n        prevState = nextState;\n      });\n    }\n\n    if (logActions) {\n      store.subscribeAction(function (action, state) {\n        if (actionFilter(action, state)) {\n          var formattedTime = getFormattedTime();\n          var formattedAction = actionTransformer(action);\n          var message = \"action \" + (action.type) + formattedTime;\n\n          startMessage(logger, message, collapsed);\n          logger.log('%c action', 'color: #03A9F4; font-weight: bold', formattedAction);\n          endMessage(logger);\n        }\n      });\n    }\n  }\n}\n\nfunction startMessage (logger, message, collapsed) {\n  var startMessage = collapsed\n    ? logger.groupCollapsed\n    : logger.group;\n\n  // render\n  try {\n    startMessage.call(logger, message);\n  } catch (e) {\n    logger.log(message);\n  }\n}\n\nfunction endMessage (logger) {\n  try {\n    logger.groupEnd();\n  } catch (e) {\n    logger.log('—— log end ——');\n  }\n}\n\nfunction getFormattedTime () {\n  var time = new Date();\n  return (\" @ \" + (pad(time.getHours(), 2)) + \":\" + (pad(time.getMinutes(), 2)) + \":\" + (pad(time.getSeconds(), 2)) + \".\" + (pad(time.getMilliseconds(), 3)))\n}\n\nfunction repeat (str, times) {\n  return (new Array(times + 1)).join(str)\n}\n\nfunction pad (num, maxLength) {\n  return repeat('0', maxLength - num.toString().length) + num\n}\n\nvar index = {\n  Store: Store,\n  install: install,\n  version: '3.6.2',\n  mapState: mapState,\n  mapMutations: mapMutations,\n  mapGetters: mapGetters,\n  mapActions: mapActions,\n  createNamespacedHelpers: createNamespacedHelpers,\n  createLogger: createLogger\n};\n\n/* harmony default export */ __webpack_exports__[\"default\"] = (index);\n\n\n/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__(/*! ./../../webpack/buildin/global.js */ \"./node_modules/webpack/buildin/global.js\")))\n\n//# sourceURL=webpack:///./node_modules/vuex/dist/vuex.esm.js?");

/***/ }),

/***/ "./node_modules/webpack/buildin/global.js":
/*!***********************************!*\
  !*** (webpack)/buildin/global.js ***!
  \***********************************/
/*! no static exports found */
/***/ (function(module, exports) {

eval("var g;\n\n// This works in non-strict mode\ng = (function() {\n\treturn this;\n})();\n\ntry {\n\t// This works if eval is allowed (see CSP)\n\tg = g || new Function(\"return this\")();\n} catch (e) {\n\t// This works if the window reference is available\n\tif (typeof window === \"object\") g = window;\n}\n\n// g can still be undefined, but nothing to do about it...\n// We return undefined, instead of nothing here, so it's\n// easier to handle this case. if(!global) { ...}\n\nmodule.exports = g;\n\n\n//# sourceURL=webpack:///(webpack)/buildin/global.js?");

/***/ })

/******/ });